import importlib.resources
from pathlib import Path


def get_font_resource(name, pack):
    font_path = importlib.resources.files("oldproxy")
    with importlib.resources.as_file(font_path / "fonts" / name) as font:
        return font


def get_symbol_resource(name, pack):
    symbol_path = importlib.resources.files("oldproxy")
    with importlib.resources.as_file(symbol_path / "symbols" / name) as symbol:
        return symbol


def get_border_resource(name, pack) -> Path:
    border_path = importlib.resources.files("oldproxy")
    with importlib.resources.as_file(border_path / "borders" / name) as border:
        return border
