from .datatypes import ArtInfo

art_override: dict[tuple[str, int], tuple[ArtInfo, ArtInfo]] = {
    ("tcn2", 1): (
        ArtInfo("https://www.mtgpics.com/pics/art/2cn/222.jpg", y_perc_offset=0.3),
        ArtInfo(None)
    ),
    ("t40k", 8):
        (ArtInfo("https://www.mtgpics.com/pics/art/40k/608.jpg", y_perc_offset=0.3), ArtInfo(None)),
    ("t40k", 14):
        (ArtInfo("https://www.mtgpics.com/pics/art/40k/614.jpg", zoom=1.5, x_perc_offset=0.35, y_perc_offset=0.25), ArtInfo(None)),
    ("tlci", 17): (
        ArtInfo("https://www.mtgpics.com/pics/art/lci/917.jpg", y_perc_offset=0.1),
        ArtInfo(None)
    ),
    ("tsom", 7):
    (
        ArtInfo("https://www.mtgpics.com/pics/art/som/256.jpg"),
        ArtInfo(None)
    ),
    ("txln",7):
    (
        ArtInfo("https://www.mtgpics.com/pics/art/xln/283.jpg"),
        ArtInfo(None)
    ),
    ("tltr", 13):
    (
        ArtInfo("https://www.mtgpics.com/pics/art/ltr/813.jpg", zoom=1.05, y_perc_offset=0),
        ArtInfo("https://www.mtgpics.com/pics/art/ltr/813.jpg", zoom=1.05, y_perc_offset=0),
    ),
    ("sld", 1306):
    (
        ArtInfo("https://www.mtgpics.com/pics/art/sl1/306.jpg"),
        ArtInfo(None)
    ),
    ("tvow", 17):
        (ArtInfo("https://www.mtgpics.com/pics/art/vow/617.jpg", y_perc_offset=0.2), ArtInfo(None)),
    ("tlrw", 7):
        (ArtInfo("https://www.mtgpics.com/pics/art/lor/308.jpg"), ArtInfo(None)),
    ("tclb", 9): (
        ArtInfo("https://www.mtgpics.com/pics/art/afr/610.jpg"),
        ArtInfo(None)
    ),
    ("tclb", 20): (
        ArtInfo("https://cards.scryfall.io/border_crop/front/2/c/2c65185b-6cf0-451d-985e-56aa45d9a57d.jpg"
                , zoom=1.2, y_perc_offset=0.7 ), ArtInfo("https://www.mtgpics.com/pics/art/clb/957.jpg", y_perc_offset=0.2)
    ),
    ("tvow", 21): (
        ArtInfo("https://www.hipstersofthecoast.com/wp-content/uploads/2021/09/day-night-token-johan-genier-preview.jpg", x_perc_offset=0, zoom=1.5),
        ArtInfo("https://www.hipstersofthecoast.com/wp-content/uploads/2021/09/day-night-token-johan-genier-preview.jpg", x_perc_offset=1, zoom=1.5)
    ),
    ("tone", 14): (
        ArtInfo(
            "https://cards.scryfall.io/png/front/4/0/40255bfa-0004-45f1-a31b-17d385f09a95.png"
            , zoom=1.2),
        ArtInfo(None)
    ),
    ("ttdc", 34): (
        ArtInfo("https://cards.scryfall.io/png/front/e/d/edf99449-b176-460b-afb3-14a35e3ae35a.png", zoom=1.2),
        ArtInfo(None)
    ),
    ("tdrc", 17): (
        ArtInfo("https://cards.scryfall.io/png/front/1/c/1c516212-ad39-4396-8e05-ae57f100309f.png", zoom=1.2),
        ArtInfo(None)
    ),
    ("p03", 5): (
        ArtInfo("https://www.mtgpics.com/pics/art/mpt/017.jpg"),
        ArtInfo(None)
    ),
    ("pr2", 3): (
        ArtInfo("https://www.mtgpics.com/pics/art/mpt/009.jpg"), ArtInfo(None)
    ),
    ("pr2", 4): (
        ArtInfo("https://www.mtgpics.com/pics/art/mpt/011.jpg", y_perc_offset=0.1), ArtInfo(None)
    ),
    ("pr2", 8): (
        ArtInfo("https://www.mtgpics.com/pics/art/mpt/013.jpg"), ArtInfo(None)
    ),
    ("rtr", 140): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("rtr", 141): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("rtr", 213): (ArtInfo(None, zoom=1.057), ArtInfo(None)),
    ("wwk", 123): (ArtInfo(None, zoom=1.07), ArtInfo(None)),
    ("leg", 65): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/e/6/e691adef-3027-4e6a-889f-9f4e2df36a7c.jpg?1562861377"
        ),
        ArtInfo(None),
    ),
    ("ala", 60): (
        ArtInfo(None, y_perc_offset=0.1),ArtInfo(None)
    ),
    ("war", 54): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("lrw", 56): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("lrw", 272): (ArtInfo(None, y_perc_offset=0, zoom=1.07), ArtInfo(None)),
    ("ltc", 56): (ArtInfo(None, y_perc_offset=0, zoom=1.057), ArtInfo(None)),
    ("ltr", 7): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("ltr", 169): (ArtInfo(None, y_perc_offset=0, zoom=1.12), ArtInfo(None)),
    ("ltr", 246): (ArtInfo(None, y_perc_offset=0, zoom=1.01), ArtInfo(None)),
    ("ltr", 247): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("m3c", 70): (ArtInfo(None, y_perc_offset=0, zoom=1.051), ArtInfo(None)),
    ("m14", 169): (ArtInfo(None, y_perc_offset=0, zoom=1.049), ArtInfo(None)),
    ("mbs", 8): (ArtInfo(None, y_perc_offset=0, zoom=1.12), ArtInfo(None)),
    ("mh1", 13): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("mh1", 37): (ArtInfo(None, y_perc_offset=0, zoom=1.05), ArtInfo(None)),
    ("mh1", 75): (ArtInfo(None, y_perc_offset=0, zoom=1.033), ArtInfo(None)),
    ("mh1", 168): (ArtInfo(None, y_perc_offset=0, zoom=1.045), ArtInfo(None)),
    ("mh1", 199): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("mh1", 202): (ArtInfo(None, y_perc_offset=0, zoom=1.031), ArtInfo(None)),
    ("mh1", 243): (ArtInfo(None, y_perc_offset=0, zoom=1.1), ArtInfo(None)),
    ("mh2", 67): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("mh2", 87): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("mh2", 96): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("mh2", 121): (ArtInfo(None, y_perc_offset=0, zoom=1.062), ArtInfo(None)),
    ("mh2", 227): (ArtInfo(None, y_perc_offset=0, zoom=1.05), ArtInfo(None)),
    ("mh2", 261): (ArtInfo(None, y_perc_offset=0, zoom=1.05), ArtInfo(None)),
    ("mh3", 29): (ArtInfo(None, y_perc_offset=0, zoom=1.02), ArtInfo(None)),
    ("mh3", 40): (ArtInfo(None, y_perc_offset=0, zoom=1.05), ArtInfo(None)),
    ("mh3", 85): (ArtInfo(None, y_perc_offset=0, zoom=1.07), ArtInfo(None)),
    ("mh3", 103): (ArtInfo(None, y_perc_offset=0, zoom=1.2), ArtInfo(None)),
    ("mh3", 122): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("mh3", 161): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/a/1/a178cfe8-f9fa-4255-88d0-54a0bed079f5.jpg?1717012517",
        ),
        ArtInfo(None),
    ),
    ("mh3", 237): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/0/d/0d16e8e0-31b2-4389-afd6-783c501f6fa0.jpg?1718635371",
        ),
        ArtInfo(None, zoom=1.04, y_perc_offset=0),
    ),
    ("dsc", 28): (
        ArtInfo(None, x_perc_offset=0.1),
        ArtInfo(None, x_perc_offset=0.9),
    ),
    ("dsk", 205): (
        ArtInfo(None, x_perc_offset=0.1),
        ArtInfo(None, x_perc_offset=0.9),
    ),
    ("dsk", 6): (ArtInfo(None, y_perc_offset=0, zoom=1.035), ArtInfo(None)),
    ("dsk", 35): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("dsk", 42): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("dsk", 59): (ArtInfo(None, y_perc_offset=0, zoom=1.035), ArtInfo(None)),
    ("dsk", 72): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("dsk", 120): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("dsk", 128): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("dsk", 204): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("dsk", 157): (ArtInfo(None, y_perc_offset=0, zoom=1.05), ArtInfo(None)),
    ("dsk", 30): (ArtInfo(None, y_perc_offset=0, zoom=1.067), ArtInfo(None)),
    ("dsk", 202): (ArtInfo(None, y_perc_offset=0, zoom=1.077), ArtInfo(None)),
    ("dsk", 248): (ArtInfo(None, y_perc_offset=0, zoom=1.067), ArtInfo(None)),
    ("c15", 14): (ArtInfo(None, zoom=1.05, y_perc_offset=0.2), ArtInfo(None)),
    ("c15", 26): (ArtInfo(None, zoom=1.05, y_perc_offset=0.2), ArtInfo(None)),
    ("c21", 65): (ArtInfo(None, zoom=1.05, y_perc_offset=0.45), ArtInfo(None)),
    ("clb", 180): (ArtInfo(None, zoom=1.1, y_perc_offset=0.45), ArtInfo(None)),
    ("iko", 248): (ArtInfo(None, zoom=1.058, y_perc_offset=0), ArtInfo(None)),
    ("iko", 250): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("aer", 57): (ArtInfo(None, zoom=1.1), ArtInfo(None)),
    ("40k", 82): (ArtInfo(None, x_perc_offset=0.55), ArtInfo(None)),
    ("40k", 42): (ArtInfo(None, y_perc_offset=0.0), ArtInfo(None)),
    ("dmu", 32): (ArtInfo(None, y_perc_offset=0, zoom=1.02), ArtInfo(None)),
    ("onc", 3): (ArtInfo(None, zoom=1.1, y_perc_offset=0.4), ArtInfo(None)),
    ("one", 196): (ArtInfo(None, zoom=1.1, y_perc_offset=0.4), ArtInfo(None)),
    ("otc", 16): (ArtInfo(None, zoom=1.15, y_perc_offset=0), ArtInfo(None)),
    ("otj", 243): (ArtInfo(None, zoom=1.05, y_perc_offset=0), ArtInfo(None)),
    ("mkm", 57): (ArtInfo(None, zoom=1.057, y_perc_offset=0), ArtInfo(None)),
    ("mkm", 170): (ArtInfo(None, zoom=1.09, y_perc_offset=0), ArtInfo(None)),
    ("mkm", 221): (ArtInfo(None, zoom=1.047, y_perc_offset=0), ArtInfo(None)),
    ("mkm", 259): (ArtInfo(None, zoom=1.07, y_perc_offset=0), ArtInfo(None)),
    ("mkm", 263): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("mkm", 264): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("moc", 447): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("mom", 40): (ArtInfo(None, zoom=1.05, y_perc_offset=0), ArtInfo(None)),
    ("mom", 58): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("mh2", 138): (ArtInfo(None, zoom=1.1), ArtInfo(None)),
    ("m3c", 59): (ArtInfo(None, zoom=1.15), ArtInfo(None)),
    ("ltr", 111): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/a/6/a6539e26-b63b-4725-9407-caaf451de084.jpg"
        ),
        ArtInfo(None),
    ),
    ("lcc", 86): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/9/7/9721f8da-39ed-4ada-a571-61e08a86032b.jpg"
        ),
        ArtInfo(None),
    ),
    ("gpt", 32): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/2/6/265b80cd-2e9c-4e4b-a065-eafb29b3e07a.jpg"
        ),
        ArtInfo(None),
    ),
    ("big", 20): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/6/2/62b3f560-262b-4bc3-9aef-535fd7082c28.jpg"
        ),
        ArtInfo(None),
    ),
    ("xln", 232): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("wwk", 108): (ArtInfo(None, zoom=1.07, y_perc_offset=0.55), ArtInfo(None)),
    ("wwk", 134): (ArtInfo(None, zoom=1.05, y_perc_offset=0), ArtInfo(None)),
    ("woe", 261): (ArtInfo(None, zoom=1.05, y_perc_offset=0), ArtInfo(None)),
    ("woe", 234): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/7/2/72c130e2-1e17-4996-a5ae-231155d68261.jpg"
        ),
        ArtInfo(None),
    ),
    ("war", 79): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/5/a/5a16665a-2600-460a-a5ad-417930fda62c.jpg"
        ),
        ArtInfo(None),
    ),
    ("war", 2): (ArtInfo(None, y_perc_offset=0.1), ArtInfo(None)),
    ("vow", 183): (
        ArtInfo("https://www.mtgpics.com/pics/art/vow/183.jpg"),
        ArtInfo("https://www.mtgpics.com/pics/art/vow/841.jpg"),
    ),
    ("unf", 166): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("thb", 208): (ArtInfo(None, y_perc_offset=0, zoom=1.37), ArtInfo(None)),
    ("thb", 229): (ArtInfo(None, y_perc_offset=0, zoom=1.02), ArtInfo(None)),
    ("stx", 177): (
        ArtInfo(
            "https://i0.wp.com/mtgazone.com/wp-content/uploads/2021/05/stx-382-decisive-denial.jpg"
        ),
        ArtInfo(None),
    ),
    ("scg", 75): (ArtInfo(None, zoom=1.1), ArtInfo(None)),
    ("soi", 5): (
        ArtInfo("https://www.mtgpics.com/pics/art/soi/005.jpg"),
        ArtInfo("https://www.mtgpics.com/pics/art/soi/354.jpg"),
    ),
    ("soi", 44): (ArtInfo(None, y_perc_offset=0, zoom=1.02), ArtInfo(None)),
    ("som", 94): (ArtInfo(None, y_perc_offset=0.1), ArtInfo(None)),
    ("som", 180): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("som", 224): (ArtInfo(None, y_perc_offset=0, zoom=1.055), ArtInfo(None)),
    ("unf", 107): (ArtInfo(None, y_perc_offset=0, zoom=1.052), ArtInfo(None)),
    ("roe", 6): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("roe", 115): (ArtInfo(None, zoom=1.04, y_perc_offset=1), ArtInfo(None)),
    ("nph", 1): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("mid", 7): (
        ArtInfo("https://www.mtgpics.com/pics/art/mid/007.jpg"),
        ArtInfo("https://www.mtgpics.com/pics/art/mid/707.jpg"),
    ),
    ("mh3", 242): (
        ArtInfo(None, y_perc_offset=0, zoom=1.04),
        ArtInfo(None, y_perc_offset=0.1),
    ),
    ("blb", 54): (ArtInfo(None, zoom=1.1), ArtInfo(None)),
    ("frf", 1): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("emn", 6): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("emn", 85): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("emn", 46): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("neo", 40): (ArtInfo(None, zoom=1.043, y_perc_offset=0), ArtInfo(None)),
    ("neo", 42): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("neo", 255): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("neo", 266): (ArtInfo(None, zoom=1.022, y_perc_offset=0), ArtInfo(None)),
    ("neo", 271): (ArtInfo(None, zoom=1.03, y_perc_offset=0), ArtInfo(None)),
    ("lea", 265): (ArtInfo(None, zoom=1.015), ArtInfo(None)),
    ("khm", 260): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/3/7/375e4697-674a-4d60-b6ae-4bf11393562c.jpg"
        ),
        ArtInfo(None),
    ),
    ("big", 9): (ArtInfo(None, zoom=1.15, y_perc_offset=0.4), ArtInfo(None)),
    ("ori", 60): (
        ArtInfo("https://www.mtgpics.com/pics/art/ori/060.jpg"),
        ArtInfo("https://www.mtgpics.com/pics/art/ori/291.jpg"),
    ),
    ("war", 61): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("jou", 163): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("avr", 106): (ArtInfo(None, zoom=1.02, y_perc_offset=0.1), ArtInfo(None)),
    ("isd", 170): (ArtInfo(None, zoom=1.031, y_perc_offset=0), ArtInfo(None)),
    ("isd", 105): (
        ArtInfo(None, y_perc_offset=0.15),
        ArtInfo(None),
    ),
    ("isd", 181): (ArtInfo(None, y_perc_offset=0.0), ArtInfo(None, y_perc_offset=0.1)),
    ("apc", 130): (
        ArtInfo("https://www.mtgpics.com/pics/art/apo/132.jpg"),
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/d/5/d5fb283d-ef80-4f2b-a8be-8859a9be04d3.jpg?1562548367",
            x_perc_offset=1,
        ),
    ),
    ("vis", 64): (
        ArtInfo("https://www.mtgnexus.com/img/gallery/1689731076/3606-necromancy.jpg"),
        ArtInfo(None),
    ),
    ("mid", 157): (
        ArtInfo(
            "https://www.mtgpics.com/pics/art/mid/157.jpg", y_perc_offset=0, zoom=1.03
        ),
        ArtInfo(
            "https://www.mtgpics.com/pics/art/mid/754.jpg", y_perc_offset=0, zoom=1.03
        ),
    ),
    ("mh1", 145): (
        ArtInfo(
            "https://media.wizards.com/2023/images/daily/art_seasoned_pyromancer.jpg"
        ),
        ArtInfo(None),
    ),
    ("mom", 137): (
        ArtInfo("https://www.mtgpics.com/pics/art/mom/137.jpg"),
        ArtInfo("https://www.mtgpics.com/pics/art/mom/987.jpg"),
    ),
    ("lci", 156): (ArtInfo(None, zoom=1.045, y_perc_offset=0), ArtInfo(None)),
    ("lci", 171): (ArtInfo(None, zoom=1.052, y_perc_offset=0), ArtInfo(None)),
    ("kld", 110): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("kld", 235): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("kld", 243): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("kld", 244): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("kld", 245): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("kld", 246): (ArtInfo(None, zoom=1.04, y_perc_offset=0), ArtInfo(None)),
    ("hou", 83): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/5/4/548947dc-a5ca-43b5-9531-bcef20fa4ae5.jpg?1730489293"
        ),
        ArtInfo(None),
    ),
    ("chk", 193): (
        ArtInfo("https://www.mtgpics.com/pics/art/chk/193_1.jpg"),
        ArtInfo(None),
    ),
    ("inv", 176): (
        ArtInfo("https://www.mtgpics.com/pics/art/inv/310.jpg"),
        ArtInfo(None),
    ),
    ("neo", 141): (
        ArtInfo("https://www.mtgpics.com/pics/art/neo/141.jpg"),
        ArtInfo("https://www.mtgpics.com/pics/art/neo/919.jpg"),
    ),
    ("mid", 190): (
        ArtInfo(
            "https://www.mtgpics.com/pics/art/mid/190.jpg", y_perc_offset=0, zoom=1.02
        ),
        ArtInfo(
            "https://www.mtgpics.com/pics/art/mid/750.jpg", y_perc_offset=0, zoom=1.02
        ),
    ),
    ("mid", 80): (
        ArtInfo(
            None, y_perc_offset=0, zoom=1.04
        ),
        ArtInfo(
            None, y_perc_offset=0, zoom=1.04
        ),
    ),
    ("ice", 121): (
        ArtInfo(None, zoom=1.1),
        ArtInfo(None),
    ),
    ("5dn", 86): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/0/a/0a520b45-77fa-4b9f-b395-06c58939578d.jpg?1592672949"
        ),
        ArtInfo(None),
    ),
    ("hou", 129): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/7/e/7e098506-b69d-4ab0-8ee9-af0d8c7efb8d.jpg?1717190566"
        ),
        ArtInfo(None),
    ),
    ("dsc", 36): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/7/3/73cc6df4-3564-4ace-bf8a-eac3e62d725a.jpg?1726284230"
        ),
        ArtInfo(None),
    ),
    ("dka", 24): (
        ArtInfo(None, zoom=1.03, y_perc_offset=0.0),
        ArtInfo(None),
    ),
    ("vow", 225): (
        ArtInfo("https://www.mtgpics.com/pics/art/vow/225.jpg"),
        ArtInfo(
            "https://www.mtgpics.com/pics/art/vow/823.jpg", y_perc_offset=0, zoom=1.03
        ),
    ),
    ("war", 169): (
        ArtInfo(None, y_perc_offset=0.1),
        ArtInfo(None),
    ),
    ("one", 175): (
        ArtInfo(None, y_perc_offset=0.2),
        ArtInfo(None),
    ),
    ("roe", 4): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("roe", 12): (ArtInfo(None, y_perc_offset=0.3), ArtInfo(None)),
    ("akh", 211): (
        ArtInfo(None),
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/0/6/06c9e2e8-2b4c-4087-9141-6aa25a506626.jpg?1549941334",
            x_perc_offset=0.95,
        ),
    ),
    ("clu", 4): (ArtInfo(None, y_perc_offset=0.5, zoom=1.05), ArtInfo(None)),
    ("cn2", 77): (ArtInfo(None, zoom=1.05, y_perc_offset=0.2), ArtInfo(None)),
    ("akh", 223): (
        ArtInfo("https://www.mtgpics.com/pics/art/akh/223.jpg", x_perc_offset=0.25),
        ArtInfo("https://www.mtgpics.com/pics/art/akh/312.jpg"),
    ),
    ("bfz", 15): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("bfz", 29): (ArtInfo(None, y_perc_offset=0.4), ArtInfo(None)),
    ("dft", 14): (ArtInfo(None, zoom=1.055, y_perc_offset=0.0), ArtInfo(None)),
    ("dft", 67): (ArtInfo("https://cards.scryfall.io/art_crop/front/0/a/0a786855-6eb4-42c0-a528-4842db46809d.jpg"), ArtInfo(None)),
    ("dft", 212): (ArtInfo(None, zoom=1.055, y_perc_offset=0.0), ArtInfo(None)),
    ("dft", 221): (ArtInfo(None, zoom=1.055, y_perc_offset=0.39), ArtInfo(None)),
    ("c13", 63): (ArtInfo(None, zoom=1.03, y_perc_offset=0.0), ArtInfo(None)),
    ("c13", 96): (ArtInfo(None, zoom=1.02, y_perc_offset=0.0), ArtInfo(None)),
    ("c13", 84): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/a/4/a402cff8-be7f-4473-b880-a6a2eedfda86.jpg"
        ),
        ArtInfo(None),
    ),
    ("lea", 232): (
        ArtInfo(
            "https://candb.com/site/candb/images/artwork/black-lotus_christopher-rush1920.jpg"
        ),
        ArtInfo(None),
    ),
    ("tmma", 5) :(
        ArtInfo("https://www.mtgpics.com/pics/art/mma/234.jpg"),
        ArtInfo(None)
    ),
    ("tmp", 294): (
        ArtInfo("https://www.mtgpics.com/pics/art/tem/165_1.jpg"),
        ArtInfo(None),
    ),
    ("bok", 163): (
        ArtInfo(
            "https://cards.scryfall.io/art_crop/front/3/1/31304ee9-5b0a-49f5-86ba-bbfc7fe60658.jpg?1562904998"
        ),
        ArtInfo(None),
    ),
    ("bro", 238): (
        ArtInfo("https://www.mtgpics.com/pics/art/tbw/238.jpg"),
        ArtInfo(None),
    ),
    ("war", 221): (ArtInfo(None, y_perc_offset=0.1), ArtInfo(None)),
    ("dom", 207): (ArtInfo(None, y_perc_offset=0.1), ArtInfo(None)),
    ("neo", 226): (ArtInfo(None, y_perc_offset=0.3), ArtInfo(None)),
    ("mh1", 217): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("clb", 285): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("cns", 42): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("war", 234): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("mh2", 202): (ArtInfo(None, y_perc_offset=0.2), ArtInfo(None)),
    ("mh2", 49): (ArtInfo(None, zoom=1.06, y_perc_offset=0), ArtInfo(None)),
    ("eld", 197): (ArtInfo(None, y_perc_offset=0.1), ArtInfo(None)),
    ("eld", 115): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("eld", 122): (ArtInfo(None, y_perc_offset=0, zoom=1.03), ArtInfo(None)),
    ("eld", 244): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("dft", 231): (ArtInfo(None, y_perc_offset=0, zoom=1.035), ArtInfo(None)),
    ("bro", 38): (ArtInfo(None, y_perc_offset=0, zoom=1.035), ArtInfo(None)),
    ("bro", 127): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("bro", 223): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("bro", 240): (ArtInfo(None, y_perc_offset=0, zoom=1.04), ArtInfo(None)),
    ("war", 220): (ArtInfo(None, y_perc_offset=0.3), ArtInfo(None)),
    ("vow", 101): (
        ArtInfo("https://www.mtgpics.com/pics/art/vow/101_1.jpg"),
        ArtInfo("https://www.mtgpics.com/pics/art/vow/814_1.jpg"),
    ),
    ("lea", 279): (
        ArtInfo(
            "https://images.squarespace-cdn.com/content/v1/5fc6d74a8c9e503d27a5ecf0/1606872619561-F9UJYWM1OHYX244XLEH3/Plateau.jpg?format=2500w"
        ),
        ArtInfo(None),
    ),
    ("cn2", 74): (ArtInfo(None, y_perc_offset=0.1), ArtInfo(None)),
    ("plc", 122): (ArtInfo(None, zoom=1.04), ArtInfo(None)),
    ("snc", 261): (ArtInfo(None, zoom=1.032, y_perc_offset=0), ArtInfo(None)),
}

cn_set_override: dict[tuple[str, int], tuple[str, int]] = {("phpr", 5): ("pmo", 3)}


set_override: dict[str, str] = {
    "m10": "10m",
    "m13": "13m",
    "lea": "alp",
    "leb": "abu",
    "2ed": "abu",
    "c14": "14c",
    "c13": "13c",
    "bro": "tbw",
    "cn2": "2cn",
    "ala": "soa",
    "m12": "12m",
    "5dn": "fda",
    "wth": "wea",
    "sth": "str",
    "hml": "hom",
    "ulg": "url",
    "lrw": "lor",
    "c15": "15c",
    "m11": "11m",
    "usg": "urs",
    "scg": "sco",
    "tmp": "tem",
    "bok": "bek",
    "mmq": "mer",
    "fem": "fal",
    "m15": "15m",
    "csp": "col",
    "m14": "14m",
    "shm": "sha",
    "atq": "ant",
    "c17": "17c",
    "pc2": "2pd",
    "apc": "apo",
    "arb": "alr",
    "gpt": "gui",
    "arn": "ara",
    "uds": "urd",
    "dst": "drs",
    "p02": "psa",
    "lgn": "lgi",
}

# fmt: off
cn_override: dict[str, dict[int, int]] = {
    "lgi": {2: 1, 1: 2},
    "dom": {4: 3, 3: 4, 6: 5, 5: 6, 10: 7, 7: 8, 14: 9, 8: 10, 15: 11, 16: 13, 11: 14, 18: 15, 9: 16, 20: 17, 21: 18, 22: 19, 13: 20, 23: 21, 25: 22, 17: 23, 26: 24, 19: 25, 28: 26, 24: 27, 31: 28, 27: 30, 36: 31, 38: 32, 34: 33, 39: 34, 41: 36, 30: 37, 45: 38, 46: 39, 49: 41, 63: 42, 50: 43, 33: 44, 53: 45, 44: 46, 54: 47, 32: 48, 55: 49, 43: 50, 56: 51, 58: 53, 59: 54, 60: 55, 61: 56, 64: 57, 65: 58, 47: 59, 68: 60, 69: 61, 51: 62, 42: 63, 57: 64, 66: 65, 70: 66, 75: 68, 37: 69, 73: 70, 48: 71, 62: 72, 82: 73, 76: 75, 83: 76, 85: 77, 86: 78, 89: 79, 71: 80, 72: 82, 94: 83, 78: 84, 79: 85, 96: 86, 97: 87, 87: 88, 98: 89, 84: 90, 88: 91, 100: 92, 80: 93, 101: 94, 93: 95, 103: 96, 91: 97, 107: 98, 90: 99, 108: 100, 109: 101, 111: 102, 99: 103, 115: 105, 92: 106, 119: 107, 121: 108, 110: 109, 126: 110, 127: 111, 128: 112, 129: 113, 130: 114, 95: 115, 131: 116, 132: 118, 133: 119, 134: 120, 136: 121, 118: 122, 120: 123, 125: 124, 138: 125, 139: 126, 77: 127, 143: 128, 145: 129, 146: 130, 122: 131, 123: 132, 148: 133, 149: 134, 150: 135, 151: 136, 152: 137, 154: 138, 112: 139, 156: 140, 157: 141, 114: 142, 158: 143, 142: 144, 161: 145, 162: 146, 163: 147, 165: 148, 135: 149, 166: 150, 102: 151, 168: 152, 170: 153, 113: 154, 172: 155, 147: 156, 174: 157, 155: 158, 179: 159, 105: 160, 181: 161, 106: 162, 182: 163, 183: 165, 137: 166, 184: 167, 185: 168, 141: 169, 187: 170, 116: 171, 190: 172, 191: 173, 192: 174, 193: 177, 280: 179, 194: 180, 195: 181, 196: 182, 159: 183, 197: 184, 198: 185, 169: 186, 186: 187, 199: 188, 153: 189, 200: 190, 160: 191, 201: 192, 177: 193, 203: 194, 180: 195, 204: 196, 167: 197, 205: 198, 202: 199, 207: 200, 173: 201, 208: 202, 124: 203, 211: 204, 140: 205, 213: 206, 171: 207, 214: 208, 217: 210, 218: 211, 219: 212, 212: 213, 220: 214, 222: 215, 223: 217, 189: 218, 224: 219, 188: 220, 225: 221, 206: 222, 227: 223, 215: 224, 228: 225, 230: 226, 231: 227, 210: 228, 232: 229, 221: 230, 235: 231, 226: 232, 236: 233, 229: 234, 233: 235, 239: 236, 234: 238, 240: 239, 241: 240, 244: 241, 245: 244, 247: 245, 238: 247, 249: 248, 248: 249, 275: 270, 270: 275, 144: 280},
    "ths": {42: 40, 40: 41, 41: 42, 66: 65, 70: 66, 65: 69, 69: 70, 84: 83, 83: 84, 89: 88, 88: 89, 94: 93, 93: 94, 98: 97, 107: 98, 111: 105, 97: 107, 105: 111, 123: 121, 121: 122, 124: 123, 122: 124, 130: 128, 135: 130, 128: 131, 131: 135, 142: 141, 146: 142, 141: 145, 145: 146, 159: 158, 158: 159, 163: 161, 161: 162, 162: 163, 169: 166, 166: 169, 175: 173, 180: 174, 173: 175, 174: 180, 189: 187, 187: 189, 193: 192, 192: 193, 201: 196, 196: 201},
    "jud": {7: 1, 31: 2, 25: 3, 24: 4, 26: 5, 29: 6, 10: 7, 13: 8, 14: 9, 20: 10, 2: 11, 18: 12, 8: 13, 3: 14, 12: 15, 5: 16, 27: 17, 28: 18, 17: 19, 30: 20, 15: 21, 19: 22, 22: 23, 33: 24, 4: 25, 32: 26, 9: 27, 6: 28, 11: 29, 16: 30, 21: 31, 1: 32, 23: 33, 45: 34, 53: 35, 48: 36, 52: 37, 46: 40, 44: 42, 37: 43, 43: 44, 51: 45, 40: 46, 49: 47, 42: 48, 59: 49, 36: 50, 57: 51, 60: 52, 35: 53, 34: 54, 47: 55, 54: 56, 56: 57, 50: 58, 55: 59, 58: 60, 67: 61, 74: 62, 62: 63, 72: 64, 64: 65, 70: 66, 71: 67, 63: 68, 76: 69, 65: 70, 66: 71, 61: 72, 69: 73, 75: 74, 68: 75, 73: 76, 92: 77, 97: 79, 94: 80, 89: 81, 98: 82, 87: 83, 80: 84, 83: 85, 82: 86, 81: 87, 101: 88, 102: 89, 96: 90, 88: 91, 86: 92, 95: 93, 79: 94, 84: 95, 77: 96, 85: 97, 100: 98, 90: 99, 93: 100, 99: 101, 91: 102, 114: 104, 111: 105, 112: 106, 108: 107, 122: 108, 130: 109, 115: 110, 132: 111, 131: 112, 124: 113, 136: 114, 119: 115, 110: 116, 123: 117, 133: 118, 116: 119, 125: 122, 105: 123, 126: 124, 128: 125, 129: 126, 104: 127, 107: 128, 109: 129, 113: 130, 127: 131, 117: 132, 106: 133, 118: 134, 134: 135, 135: 136, 138: 137, 139: 138, 137: 139},
    "dka": {68: 64, 69: 67, 64: 68, 67: 69, 85: 83, 83: 85, 99: 87, 87: 90, 95: 93, 93: 95, 90: 99, 109: 100, 105: 104, 104: 105, 100: 108, 108: 109, 136: 133, 133: 135, 135: 136, 155: 154, 156: 155, 157: 156, 154: 157, 13: 159, 50: 160, 55: 161, 71: 162},
    "exo": {27: 1, 1: 2, 79: 3, 2: 4, 105: 5, 106: 6, 53: 7, 107: 8, 54: 9, 3: 10, 4: 11, 80: 12, 143: 13, 131: 14, 5: 15, 108: 16, 55: 17, 28: 18, 29: 19, 56: 20, 57: 21, 58: 22, 59: 23, 60: 24, 81: 25, 30: 26, 109: 27, 110: 28, 61: 29, 31: 30, 32: 31, 132: 32, 6: 34, 34: 35, 82: 36, 83: 37, 35: 38, 62: 39, 84: 40, 63: 41, 64: 42, 7: 43, 111: 44, 112: 45, 65: 46, 85: 47, 8: 48, 36: 49, 37: 50, 9: 51, 10: 52, 86: 53, 38: 54, 113: 55, 87: 56, 133: 57, 134: 58, 39: 59, 66: 60, 40: 61, 135: 62, 41: 63, 114: 64, 88: 65, 89: 66, 136: 69, 115: 70, 69: 71, 11: 72, 90: 73, 42: 74, 91: 75, 92: 76, 12: 77, 93: 78, 94: 79, 13: 80, 14: 81, 15: 82, 70: 83, 71: 84, 116: 85, 117: 86, 95: 87, 118: 88, 119: 89, 96: 90, 97: 91, 16: 92, 98: 93, 120: 94, 17: 95, 72: 96, 121: 97, 43: 98, 122: 99, 44: 100, 99: 101, 100: 102, 73: 103, 45: 104, 46: 105, 101: 106, 18: 107, 102: 108, 19: 109, 137: 110, 123: 111, 124: 112, 74: 113, 20: 114, 125: 115, 103: 116, 21: 117, 138: 118, 104: 119, 139: 120, 75: 121, 126: 122, 127: 123, 128: 124, 22: 125, 129: 126, 47: 127, 48: 128, 49: 129, 140: 130, 76: 131, 141: 132, 23: 133, 50: 134, 77: 135, 78: 136, 24: 137, 51: 138, 25: 139, 52: 140, 130: 141, 26: 143},
    "wea": {30: 1, 1: 2, 31: 3, 117: 4, 59: 5, 88: 6, 60: 7, 2: 8, 3: 9, 32: 10, 4: 11, 33: 12, 118: 13, 5: 14, 6: 15, 34: 16, 7: 17, 35: 18, 119: 19, 61: 20, 8: 21, 9: 22, 10: 23, 89: 24, 90: 25, 120: 26, 91: 27, 92: 28, 62: 29, 146: 30, 121: 31, 147: 32, 63: 33, 122: 34, 148: 35, 123: 36, 93: 37, 94: 38, 64: 39, 36: 40, 65: 41, 95: 42, 11: 43, 124: 44, 96: 45, 149: 46, 37: 47, 66: 48, 125: 49, 12: 50, 97: 51, 98: 52, 13: 53, 38: 54, 126: 55, 127: 56, 67: 57, 99: 58, 68: 59, 100: 60, 101: 61, 102: 62, 69: 63, 39: 64, 40: 65, 14: 66, 128: 67, 129: 68, 70: 69, 164: 70, 15: 71, 103: 72, 104: 73, 105: 74, 16: 75, 130: 76, 71: 77, 106: 78, 107: 79, 17: 80, 72: 81, 108: 82, 73: 83, 18: 84, 150: 85, 151: 86, 19: 87, 109: 88, 110: 89, 131: 90, 132: 91, 133: 92, 134: 93, 165: 94, 41: 95, 152: 96, 42: 97, 111: 98, 20: 99, 43: 100, 153: 101, 74: 102, 21: 103, 75: 104, 135: 105, 136: 106, 137: 107, 76: 108, 44: 109, 154: 110, 77: 111, 45: 112, 112: 113, 46: 114, 22: 115, 47: 116, 48: 117, 49: 118, 155: 119, 50: 120, 78: 121, 138: 122, 51: 123, 23: 124, 113: 125, 139: 126, 52: 127, 114: 128, 166: 129, 24: 130, 25: 131, 156: 132, 79: 133, 80: 134, 26: 135, 27: 136, 81: 137, 157: 138, 82: 139, 158: 140, 140: 141, 141: 142, 28: 143, 53: 144, 83: 145, 159: 146, 160: 147, 115: 148, 116: 149, 54: 150, 55: 151, 56: 152, 57: 153, 161: 154, 142: 155, 143: 156, 84: 157, 85: 158, 144: 159, 145: 160, 58: 161, 29: 162, 86: 163, 162: 164, 167: 165, 163: 166, 87: 167},
    "vis": {51: 1, 141: 2, 1: 3, 126: 4, 26: 5, 52: 6, 76: 7, 142: 8, 127: 9, 27: 10, 53: 11, 101: 12, 28: 13, 102: 14, 29: 15, 54: 16, 160: 17, 128: 18, 103: 19, 55: 20, 2: 21, 56: 22, 57: 23, 30: 24, 58: 25, 143: 26, 161: 27, 144: 28, 31: 29, 77: 30, 104: 31, 78: 32, 105: 33, 106: 34, 3: 35, 162: 36, 4: 37, 59: 38, 129: 39, 107: 40, 79: 41, 130: 42, 32: 43, 60: 44, 33: 45, 5: 46, 61: 47, 108: 48, 80: 49, 81: 50, 6: 51, 163: 52, 131: 53, 82: 54, 83: 55, 145: 56, 7: 57, 8: 58, 84: 59, 34: 60, 9: 61, 35: 63, 146: 64, 10: 65, 147: 66, 164: 67, 63: 68, 165: 69, 109: 70, 85: 71, 110: 72, 36: 73, 11: 74, 86: 75, 111: 76, 148: 77, 112: 78, 87: 79, 12: 80, 149: 81, 37: 82, 150: 83, 13: 84, 88: 85, 113: 86, 132: 87, 38: 88, 114: 89, 64: 90, 65: 91, 66: 92, 89: 93, 39: 94, 115: 95, 14: 96, 15: 97, 151: 98, 152: 99, 67: 100, 40: 101, 133: 102, 68: 103, 166: 104, 116: 105, 117: 106, 90: 107, 41: 108, 91: 109, 16: 110, 17: 111, 18: 112, 19: 113, 20: 114, 134: 115, 118: 116, 92: 117, 119: 118, 153: 119, 135: 120, 42: 121, 43: 122, 136: 123, 154: 124, 155: 125, 93: 126, 94: 127, 120: 128, 95: 129, 137: 130, 121: 131, 138: 132, 122: 133, 21: 134, 69: 135, 96: 136, 97: 137, 98: 138, 70: 139, 22: 140, 156: 141, 44: 142, 139: 143, 45: 144, 46: 145, 157: 146, 23: 147, 99: 148, 158: 149, 123: 150, 167: 151, 47: 152, 71: 153, 72: 154, 73: 155, 48: 156, 100: 157, 140: 158, 49: 159, 74: 160, 159: 161, 24: 162, 124: 163, 50: 164, 75: 165, 125: 166, 25: 167},
    "urs": {229: 3, 115: 4, 58: 5, 172: 6, 230: 7, 231: 8, 232: 9, 3: 10, 4: 11, 59: 12, 173: 13, 174: 14, 60: 15, 233: 16, 234: 17, 235: 18, 236: 19, 61: 20, 62: 21, 63: 22, 286: 23, 175: 24, 116: 25, 117: 26, 237: 27, 238: 28, 319: 29, 118: 30, 119: 31, 176: 32, 177: 33, 120: 34, 5: 35, 239: 36, 178: 37, 121: 38, 240: 39, 122: 40, 64: 41, 6: 42, 287: 43, 241: 44, 242: 45, 288: 46, 243: 47, 289: 48, 244: 49, 290: 50, 7: 51, 65: 52, 66: 53, 8: 54, 123: 55, 291: 56, 67: 57, 124: 58, 245: 59, 179: 60, 125: 61, 246: 62, 292: 63, 68: 64, 126: 65, 127: 66, 128: 67, 9: 68, 129: 69, 180: 70, 130: 71, 10: 72, 11: 73, 131: 74, 12: 75, 181: 76, 69: 77, 70: 78, 293: 79, 71: 80, 320: 81, 182: 82, 132: 83, 133: 84, 183: 85, 13: 86, 247: 87, 248: 88, 72: 89, 249: 90, 294: 91, 73: 92, 74: 93, 134: 94, 250: 95, 135: 96, 14: 97, 184: 98, 185: 99, 251: 100, 252: 101, 186: 102, 187: 103, 136: 104, 295: 105, 75: 106, 347: 107, 348: 108, 349: 109, 350: 110, 253: 111, 254: 112, 321: 113, 255: 114, 188: 115, 76: 116, 15: 117, 189: 118, 190: 119, 191: 120, 192: 121, 193: 122, 194: 123, 195: 124, 196: 125, 256: 126, 296: 127, 77: 128, 257: 129, 258: 130, 197: 131, 259: 132, 198: 133, 16: 134, 199: 135, 17: 136, 78: 137, 79: 138, 260: 139, 261: 140, 262: 141, 263: 142, 264: 143, 265: 144, 137: 145, 297: 146, 80: 147, 18: 148, 266: 149, 138: 150, 81: 151, 19: 152, 335: 153, 336: 154, 337: 155, 338: 156, 200: 157, 298: 158, 82: 159, 201: 160, 299: 161, 202: 162, 83: 163, 84: 164, 139: 165, 300: 166, 267: 167, 140: 168, 141: 169, 203: 170, 301: 171, 268: 172, 302: 173, 303: 174, 20: 175, 21: 176, 85: 177, 343: 178, 344: 179, 345: 180, 346: 181, 142: 182, 304: 183, 204: 184, 22: 185, 23: 186, 24: 187, 25: 188, 26: 189, 143: 190, 144: 191, 205: 192, 27: 193, 145: 194, 28: 195, 29: 196, 30: 197, 86: 198, 87: 199, 88: 200, 146: 201, 147: 202, 305: 203, 148: 204, 306: 205, 322: 206, 307: 207, 331: 208, 332: 209, 333: 210, 334: 211, 31: 212, 149: 213, 323: 214, 269: 215, 89: 216, 90: 217, 32: 218, 150: 219, 270: 220, 308: 221, 151: 222, 206: 223, 152: 224, 207: 225, 91: 226, 153: 227, 33: 228, 208: 229, 271: 230, 34: 231, 324: 232, 154: 233, 92: 234, 272: 235, 209: 236, 93: 237, 210: 238, 35: 239, 36: 240, 37: 241, 38: 242, 39: 243, 40: 244, 41: 245, 42: 246, 43: 247, 94: 248, 95: 249, 155: 250, 211: 251, 212: 252, 213: 253, 44: 254, 45: 255, 46: 256, 47: 257, 48: 258, 49: 259, 325: 260, 50: 261, 216: 262, 326: 263, 214: 264, 215: 265, 96: 266, 217: 267, 156: 268, 51: 269, 157: 270, 158: 271, 159: 272, 327: 273, 309: 274, 328: 275, 218: 276, 97: 277, 52: 278, 53: 279, 160: 280, 98: 281, 273: 282, 274: 283, 219: 284, 99: 285, 100: 286, 220: 287, 101: 288, 339: 289, 340: 290, 341: 291, 342: 292, 275: 293, 161: 294, 102: 295, 310: 296, 329: 297, 311: 298, 221: 299, 103: 300, 276: 301, 277: 302, 330: 303, 104: 304, 222: 305, 278: 306, 279: 307, 105: 308, 312: 309, 162: 310, 163: 311, 313: 312, 164: 313, 165: 314, 106: 315, 107: 316, 108: 317, 109: 318, 110: 319, 280: 320, 281: 321, 223: 322, 224: 323, 225: 324, 226: 325, 166: 326, 167: 327, 54: 328, 55: 329, 314: 330, 227: 331, 315: 332, 282: 333, 56: 334, 168: 335, 316: 336, 283: 337, 284: 338, 228: 339, 111: 340, 285: 341, 317: 342, 169: 343, 112: 344, 318: 345, 57: 346, 170: 347, 171: 348, 113: 349, 114: 350},
    "ara": {34: 2, 56: 3, 57: 4, 35: 5, 36: 6, 2: 7, 70: 9, 37: 10, 58: 12, 59: 13, 3: 14, 60: 15, 71: 16, 23: 17, 45: 18, 61: 19, 12: 20, 72: 21, 38: 22, 46: 23, 73: 24, 47: 25, 62: 26, 24: 27, 74: 28, 25: 29, 48: 31, 4: 32, 13: 33, 63: 35, 14: 36, 49: 37, 15: 38, 26: 40, 27: 41, 39: 43, 50: 44, 16: 45, 75: 46, 64: 47, 65: 48, 66: 49, 5: 50, 28: 51, 29: 52, 30: 53, 6: 54, 40: 55, 76: 56, 41: 57, 17: 58, 51: 59, 42: 60, 7: 61, 77: 63, 52: 64, 78: 66, 18: 67, 31: 68, 8: 70, 67: 72, 9: 73, 68: 74, 43: 75, 69: 77, 53: 78, 19: 79, 20: 80, 10: 81, 21: 82, 54: 83, 32: 84, 33: 85, 22: 87, 11: 88, 55: 90, 44: 92},
    "gui": {23: 22, 24: 23, 25: 24, 26: 25, 27: 26, 28: 27, 29: 28, 30: 29, 31: 30, 32: 31, 33: 32, 34: 33, 35: 34, 36: 35, 37: 36, 38: 37, 39: 38, 40: 39, 41: 40, 42: 41, 22: 42, 157: 144, 144: 145, 150: 146, 158: 147, 151: 148, 159: 149, 145: 150, 152: 151, 153: 152, 154: 153, 146: 154, 160: 155, 161: 156, 147: 157, 155: 158, 162: 159, 148: 160, 163: 161, 164: 162, 165: 163, 156: 164, 149: 165},
    "ant": {36: 1, 1: 2, 2: 3, 29: 4, 30: 5, 37: 6, 22: 7, 15: 8, 3: 9, 38: 10, 39: 11, 40: 12, 23: 13, 41: 14, 42: 15, 43: 16, 4: 17, 31: 18, 44: 19, 45: 20, 46: 21, 47: 22, 32: 23, 48: 24, 5: 25, 24: 26, 8: 27, 49: 28, 25: 29, 9: 30, 50: 31, 33: 32, 16: 33, 26: 34, 51: 35, 52: 36, 17: 37, 10: 38, 53: 39, 54: 40, 6: 41, 55: 42, 56: 43, 57: 48, 58: 50, 59: 51, 27: 52, 60: 53, 18: 54, 11: 55, 34: 56, 19: 57, 61: 58, 72: 59, 62: 60, 12: 61, 7: 62, 13: 64, 64: 65, 28: 66, 65: 67, 66: 71, 67: 72, 68: 73, 69: 74, 70: 75, 71: 76, 35: 77, 14: 78, 73: 79, 74: 80, 75: 81, 76: 86, 77: 95, 78: 96, 20: 97, 21: 98, 79: 99, 80: 44, 81: 49, 82: 68, 83: 82, 84: 87, 85: 91}, 
    "14m": {3: 2, 2: 3, 8: 6, 9: 8, 6: 9, 13: 12, 12: 13, 17: 16, 16: 17, 20: 18, 18: 19, 19: 20, 26: 24, 28: 25, 24: 26, 25: 28, 33: 31, 31: 33, 44: 42, 42: 43, 43: 44, 47: 45, 45: 46, 46: 47, 53: 51, 58: 52, 52: 53, 55: 54, 61: 55, 57: 56, 59: 57, 56: 58, 51: 59, 62: 60, 60: 61, 65: 62, 54: 63, 63: 65, 68: 67, 67: 68, 71: 69, 72: 70, 69: 71, 76: 72, 77: 74, 74: 76, 70: 77, 81: 78, 78: 80, 80: 81, 86: 85, 85: 86, 96: 87, 89: 88, 88: 89, 100: 90, 103: 92, 92: 93, 87: 95, 95: 96, 90: 97, 107: 98, 97: 99, 102: 100, 93: 101, 99: 102, 105: 103, 106: 104, 98: 105, 111: 106, 101: 107, 110: 108, 114: 109, 115: 110, 113: 111, 104: 112, 112: 113, 108: 114, 109: 115, 120: 119, 119: 120, 122: 121, 121: 122, 125: 124, 124: 125, 132: 131, 134: 132, 135: 133, 133: 134, 131: 135, 138: 136, 145: 138, 136: 139, 147: 140, 148: 142, 150: 144, 146: 145, 139: 146, 140: 147, 153: 148, 154: 149, 142: 150, 149: 151, 144: 152, 152: 153, 151: 154, 161: 159, 163: 160, 164: 161, 159: 163, 160: 164, 167: 166, 169: 167, 166: 169, 172: 170, 170: 171, 171: 172, 175: 173, 173: 174, 176: 175, 182: 176, 179: 178, 180: 179, 174: 180, 178: 181, 181: 182, 189: 186, 190: 187, 193: 188, 194: 189, 195: 190, 192: 191, 186: 192, 196: 193, 187: 194, 188: 195, 191: 196, 199: 197, 203: 199, 197: 203, 211: 205, 209: 206, 205: 207, 207: 208, 215: 209, 216: 210, 218: 211, 222: 212, 219: 213, 220: 214, 206: 215, 223: 216, 221: 217, 212: 218, 208: 219, 210: 220, 217: 221, 214: 222, 226: 223, 213: 224, 224: 225, 225: 226, 257: 255, 258: 257, 255: 258},
    "15m": {8: 6, 9: 7, 10: 8, 7: 9, 6: 10, 14: 13, 13: 14, 16: 15, 15: 16, 21: 17, 24: 18, 20: 19, 25: 20, 18: 21, 30: 22, 17: 23, 36: 24, 27: 25, 19: 26, 31: 27, 29: 28, 22: 29, 37: 30, 23: 31, 28: 34, 26: 35, 35: 36, 39: 37, 34: 38, 40: 39, 38: 40, 47: 45, 48: 46, 46: 47, 49: 48, 45: 49, 52: 50, 53: 51, 50: 52, 51: 53, 57: 55, 58: 56, 62: 57, 59: 58, 61: 59, 55: 60, 56: 61, 60: 62, 64: 63, 63: 64, 70: 68, 68: 69, 69: 70, 74: 73, 73: 74, 77: 75, 75: 77, 79: 78, 78: 79, 83: 82, 82: 83, 89: 86, 90: 87, 91: 88, 93: 89, 92: 90, 88: 91, 87: 92, 86: 93, 97: 95, 98: 96, 95: 97, 99: 98, 101: 99, 96: 101, 105: 104, 104: 105, 108: 107, 107: 108, 120: 112, 112: 113, 117: 114, 113: 116, 114: 117, 116: 119, 119: 120, 125: 124, 124: 125, 127: 126, 131: 127, 132: 128, 133: 129, 126: 130, 136: 131, 137: 132, 130: 133, 128: 136, 129: 137, 141: 139, 139: 140, 142: 141, 140: 142, 145: 143, 146: 144, 150: 145, 143: 146, 154: 147, 155: 148, 148: 149, 144: 150, 149: 152, 147: 153, 152: 154, 156: 155, 158: 156, 159: 158, 153: 159, 165: 164, 166: 165, 164: 166, 174: 173, 173: 174, 178: 177, 179: 178, 180: 179, 177: 180, 185: 184, 184: 185, 189: 188, 204: 189, 193: 190, 198: 191, 188: 192, 190: 193, 192: 195, 191: 196, 195: 197, 196: 198, 197: 199, 199: 200, 200: 202, 202: 204, 208: 207, 207: 208, 229: 212, 214: 213, 213: 214, 218: 216, 216: 218, 212: 229, 245: 232, 246: 233, 247: 234, 248: 235, 249: 236, 232: 245, 233: 246, 234: 247, 235: 248, 236: 249},
    "fal": {1: 17, 2: 49, 3: 50, 4: 53, 5: 69, 6: 71, 7: 89, 8: 93, 9: 96, 10: 97, 11: 100, 12: 101, 13: 102, 14: 106, 15: 108, 16: 134, 17: 22, 18: 72, 19: 76, 20: 80, 21: 81, 22: 82, 23: 113, 24: 51, 25: 52, 26: 53, 27: 172, 28: 175, 29: 178, 30: 179, 31: 182, 32: 186, 33: 2, 34: 7, 35: 16, 36: 25, 37: 35, 38: 85, 39: 110, 40: 117, 41: 120, 42: 137, 43: 94, 44: 169, 45: 170, 46: 171, 47: 176, 48: 177, 49: 12, 50: 27, 51: 28, 52: 30, 53: 32, 54: 56, 55: 59, 56: 60, 57: 63, 58: 64, 59: 68, 60: 126, 61: 127, 62: 130, 63: 140, 64: 132, 65: 37, 66: 42, 67: 43, 68: 46, 69: 54, 70: 55, 71: 123, 72: 149, 73: 152, 74: 153, 75: 157, 76: 158, 77: 159, 78: 160, 79: 161, 80: 165, 81: 1, 82: 6, 83: 21, 84: 23, 85: 24, 86: 26, 87: 41, 88: 109, 89: 174, 90: 175, 91: 187, 92: 11, 93: 29, 94: 31, 95: 36, 96: 70, 97: 75, 98: 107, 99: 184, 100: 185, 101: 186, 102: 187},
    "bek": {91: 1, 92: 2, 93: 3, 94: 4, 152: 5, 61: 6, 95: 7, 96: 8, 62: 9, 153: 10, 121: 11, 122: 12, 63: 13, 31: 14, 123: 15, 32: 16, 97: 17, 98: 18, 64: 19, 99: 20, 1: 21, 33: 22, 2: 23, 124: 24, 65: 25, 3: 26, 4: 27, 100: 28, 101: 29, 34: 30, 125: 31, 102: 32, 103: 33, 104: 34, 126: 35, 35: 36, 66: 37, 5: 38, 151: 39, 105: 40, 127: 41, 106: 42, 164: 43, 67: 44, 128: 45, 6: 46, 107: 47, 36: 48, 68: 49, 37: 50, 69: 51, 7: 52, 70: 53, 8: 54, 108: 55, 9: 56, 71: 57, 109: 58, 129: 59, 110: 60, 130: 61, 38: 62, 39: 63, 10: 64, 11: 65, 12: 66, 13: 67, 40: 68, 14: 69, 131: 70, 111: 71, 132: 73, 133: 74, 134: 75, 112: 76, 135: 77, 73: 78, 136: 79, 15: 80, 41: 81, 42: 82, 154: 83, 43: 84, 16: 85, 155: 86, 74: 87, 44: 88, 137: 89, 75: 90, 113: 91, 76: 92, 17: 93, 156: 94, 157: 95, 114: 96, 18: 97, 115: 98, 19: 99, 45: 100, 77: 101, 138: 102, 139: 103, 46: 104, 78: 105, 79: 106, 47: 107, 48: 108, 49: 109, 50: 110, 140: 111, 116: 112, 158: 113, 141: 114, 142: 115, 143: 116, 20: 117, 80: 118, 51: 119, 21: 120, 117: 121, 81: 122, 144: 123, 159: 124, 160: 125, 82: 126, 22: 127, 83: 128, 84: 129, 161: 130, 52: 131, 145: 132, 118: 133, 146: 134, 23: 135, 85: 136, 53: 137, 54: 138, 24: 139, 86: 140, 25: 141, 55: 142, 165: 143, 26: 144, 27: 145, 162: 146, 56: 147, 87: 148, 88: 149, 57: 150, 58: 151, 119: 152, 89: 153, 147: 154, 120: 155, 163: 156, 148: 157, 149: 158, 59: 159, 150: 160, 60: 161, 28: 162, 29: 163, 30: 164, 90: 165},
    "tem": {107: 1, 1: 2, 160: 3, 276: 4, 213: 5, 161: 6, 315: 7, 2: 8, 3: 9, 214: 10, 162: 11, 4: 12, 5: 13, 6: 14, 7: 15, 163: 16, 215: 17, 108: 18, 54: 19, 164: 20, 109: 21, 165: 22, 277: 23, 278: 24, 110: 25, 216: 26, 316: 27, 217: 28, 166: 29, 167: 30, 55: 31, 111: 32, 168: 33, 218: 34, 56: 35, 219: 36, 317: 37, 9: 38, 10: 39, 11: 40, 12: 41, 8: 42, 13: 43, 14: 44, 112: 45, 15: 46, 113: 47, 114: 48, 279: 49, 280: 50, 115: 51, 116: 52, 57: 53, 220: 54, 169: 55, 281: 56, 117: 57, 118: 58, 119: 59, 120: 60, 121: 61, 122: 62, 123: 63, 124: 64, 125: 65, 126: 66, 170: 67, 127: 68, 128: 69, 221: 70, 16: 71, 58: 72, 129: 73, 266: 74, 130: 75, 59: 76, 131: 77, 60: 78, 222: 79, 282: 80, 223: 81, 224: 82, 17: 83, 225: 84, 226: 85, 283: 86, 284: 87, 132: 88, 285: 89, 133: 90, 171: 91, 61: 92, 62: 93, 286: 94, 134: 95, 287: 96, 135: 97, 136: 98, 18: 99, 63: 100, 172: 101, 173: 102, 227: 103, 19: 104, 174: 105, 175: 106, 288: 107, 176: 108, 289: 109, 347: 110, 348: 111, 349: 112, 350: 113, 228: 114, 229: 115, 177: 116, 64: 117, 20: 118, 65: 119, 21: 120, 318: 121, 66: 122, 178: 123, 179: 124, 137: 125, 290: 126, 180: 127, 22: 128, 230: 129, 181: 130, 182: 131, 231: 132, 232: 133, 233: 134, 291: 135, 23: 136, 234: 137, 67: 138, 24: 139, 138: 140, 68: 141, 69: 142, 70: 143, 25: 144, 335: 145, 336: 146, 337: 147, 338: 148, 183: 149, 292: 150, 293: 151, 139: 152, 184: 153, 26: 154, 140: 155, 235: 156, 141: 157, 71: 158, 72: 159, 27: 160, 185: 161, 186: 162, 142: 163, 267: 164, 294: 165, 187: 166, 143: 167, 188: 168, 295: 169, 73: 170, 296: 171, 74: 172, 28: 173, 144: 174, 29: 175, 75: 176, 319: 177, 76: 178, 297: 179, 145: 180, 146: 181, 236: 182, 77: 183, 298: 184, 189: 185, 190: 186, 320: 187, 191: 188, 192: 189, 237: 190, 343: 191, 344: 192, 345: 193, 346: 194, 30: 195, 238: 196, 239: 197, 240: 198, 241: 199, 193: 200, 242: 201, 194: 202, 31: 203, 32: 204, 33: 205, 243: 206, 34: 207, 195: 208, 299: 209, 300: 210, 35: 211, 147: 212, 301: 213, 302: 214, 303: 215, 244: 216, 321: 217, 148: 218, 331: 219, 332: 220, 333: 221, 334: 222, 78: 223, 79: 224, 80: 225, 304: 226, 36: 227, 149: 228, 245: 229, 268: 230, 196: 231, 150: 232, 246: 233, 151: 234, 247: 235, 152: 236, 248: 237, 322: 238, 197: 239, 37: 240, 249: 241, 198: 242, 250: 243, 251: 244, 252: 245, 323: 246, 81: 247, 82: 248, 83: 249, 84: 250, 305: 251, 38: 252, 153: 253, 39: 254, 324: 255, 199: 256, 306: 257, 154: 258, 325: 259, 307: 260, 200: 261, 253: 262, 155: 263, 308: 264, 85: 265, 201: 266, 254: 267, 269: 268, 270: 269, 40: 270, 156: 271, 86: 272, 202: 273, 203: 274, 87: 275, 204: 276, 271: 277, 88: 278, 255: 279, 326: 280, 256: 281, 257: 282, 157: 283, 41: 284, 42: 285, 43: 286, 272: 287, 44: 288, 45: 289, 46: 290, 47: 291, 158: 292, 89: 293, 258: 294, 159: 295, 48: 296, 273: 297, 309: 298, 327: 299, 205: 300, 310: 301, 49: 302, 90: 303, 91: 304, 206: 305, 259: 306, 207: 307, 208: 308, 339: 309, 340: 310, 341: 311, 342: 312, 209: 313, 50: 314, 311: 315, 92: 316, 328: 317, 93: 318, 94: 319, 95: 320, 312: 321, 96: 322, 97: 323, 210: 324, 313: 325, 98: 326, 260: 327, 261: 328, 262: 329, 99: 330, 100: 331, 329: 332, 263: 333, 264: 334, 274: 335, 101: 336, 211: 337, 51: 338, 330: 339, 314: 340, 102: 341, 103: 342, 212: 343, 104: 344, 105: 345, 52: 346, 106: 347, 265: 348, 275: 349, 53: 350},
    "all": {1: 24, 2: 43, 3: 45, 4: 76, 5: 79, 6: 80, 7: 83, 8: 85, 9: 87, 10: 101, 11: 110, 12: 126, 13: 128, 14: 132, 15: 133, 16: 136, 17: 138, 18: 168, 19: 171, 20: 180, 21: 194, 22: 5, 23: 10, 24: 17, 25: 22, 26: 33, 27: 46, 28: 54, 29: 55, 30: 92, 31: 94, 32: 115, 33: 146, 34: 148, 35: 155, 36: 160, 37: 162, 38: 166, 39: 175, 40: 176, 41: 187, 42: 189, 43: 12, 44: 26, 45: 29, 46: 34, 47: 35, 48: 48, 49: 49, 50: 51, 51: 77, 52: 82, 53: 89, 54: 90, 55: 95, 56: 105, 57: 113, 58: 117, 59: 130, 60: 142, 61: 157, 62: 165, 63: 169, 64: 3, 65: 13, 66: 15, 67: 19, 68: 23, 69: 28, 70: 32, 71: 41, 72: 66, 73: 68, 74: 70, 75: 112, 76: 123, 77: 124, 78: 125, 79: 131, 80: 154, 81: 163, 82: 182, 83: 184, 84: 185, 85: 21, 86: 30, 87: 36, 88: 37, 89: 39, 90: 57, 91: 59, 92: 60, 93: 62, 94: 64, 95: 73, 96: 81, 97: 108, 98: 109, 99: 156, 100: 172, 101: 177, 102: 178, 103: 191, 104: 197, 105: 199, 106: 40, 107: 98, 108: 97, 109: 100, 110: 103, 111: 107, 112: 116, 113: 167, 114: 190, 115: 196, 116: 1, 117: 7, 118: 8, 119: 53, 120: 72, 121: 75, 122: 99, 123: 104, 124: 106, 125: 119, 126: 120, 127: 121, 128: 135, 129: 140, 130: 141, 131: 144, 132: 150, 133: 152, 134: 159, 135: 181, 136: 193, 137: 14, 138: 74, 139: 86, 140: 91, 141: 137, 142: 139, 143: 145, 144: 174},
    "hom": {3: 23, 4: 25, 5: 26, 6: 29, 7: 46, 8: 72, 9: 89, 10: 95, 11: 101, 12: 102, 13: 112, 14: 119, 15: 120, 16: 121, 17: 122, 18: 126, 19: 131, 20: 133, 21: 4, 22: 27, 23: 37, 24: 42, 25: 43, 26: 64, 27: 67, 28: 69, 29: 80, 30: 86, 31: 91, 32: 92, 33: 94, 34: 97, 35: 98, 36: 103, 37: 107, 38: 114, 39: 115, 40: 135, 41: 28, 42: 30, 43: 31, 44: 35, 45: 48, 46: 49, 47: 59, 48: 65, 49: 66, 50: 70, 51: 71, 52: 73, 53: 77, 54: 78, 55: 84, 56: 116, 57: 117, 58: 128, 59: 129, 60: 134, 61: 5, 62: 7, 63: 8, 64: 13, 65: 14, 66: 15, 67: 17, 68: 19, 69: 38, 70: 51, 71: 52, 72: 53, 73: 56, 74: 57, 75: 74, 76: 79, 77: 81, 78: 99, 79: 106, 80: 139, 81: 10, 82: 11, 83: 21, 84: 32, 85: 45, 86: 58, 87: 62, 88: 75, 89: 82, 90: 88, 91: 90, 92: 100, 93: 105, 94: 108, 95: 109, 96: 111, 97: 124, 98: 127, 99: 136, 100: 138, 101: 20, 102: 39, 103: 40, 104: 41, 105: 47, 106: 55, 107: 61, 108: 83, 109: 110, 110: 123, 111: 12, 112: 22, 113: 34, 114: 85, 115: 140},
    "str": {126: 1, 76: 2, 101: 3, 1: 4, 51: 5, 52: 6, 132: 7, 102: 8, 2: 9, 53: 10, 103: 11, 3: 12, 26: 13, 104: 14, 4: 15, 27: 16, 5: 17, 77: 18, 54: 19, 78: 20, 105: 21, 55: 22, 127: 23, 56: 24, 57: 25, 28: 26, 29: 27, 79: 28, 58: 29, 106: 30, 107: 31, 133: 32, 30: 33, 80: 34, 81: 35, 82: 36, 83: 37, 84: 38, 85: 39, 86: 40, 59: 41, 87: 42, 31: 43, 60: 44, 32: 45, 134: 46, 88: 47, 108: 48, 33: 49, 128: 50, 6: 51, 7: 52, 135: 53, 136: 54, 34: 55, 89: 56, 137: 57, 61: 58, 8: 59, 35: 60, 109: 61, 36: 62, 37: 63, 62: 64, 38: 65, 63: 66, 64: 67, 90: 68, 91: 69, 92: 70, 93: 71, 94: 72, 65: 73, 66: 74, 138: 75, 110: 76, 9: 77, 111: 78, 139: 79, 112: 80, 113: 81, 10: 82, 67: 83, 39: 84, 40: 85, 41: 86, 68: 87, 11: 88, 95: 89, 12: 90, 13: 91, 14: 92, 96: 93, 69: 94, 15: 95, 97: 96, 140: 97, 42: 99, 43: 100, 70: 101, 114: 102, 16: 103, 115: 104, 129: 105, 17: 106, 18: 107, 116: 108, 117: 109, 118: 110, 119: 111, 120: 112, 44: 113, 130: 114, 121: 115, 19: 116, 99: 117, 71: 118, 72: 119, 141: 120, 20: 121, 45: 123, 46: 124, 47: 125, 73: 126, 74: 127, 21: 128, 123: 129, 131: 130, 124: 131, 142: 132, 48: 133, 143: 134, 49: 135, 125: 136, 22: 137, 100: 138, 75: 139, 50: 140, 23: 141, 24: 142, 25: 143},
    "mir": {103: 1, 291: 2, 205: 3, 1: 4, 154: 5, 2: 6, 155: 7, 292: 8, 293: 9, 52: 10, 206: 11, 156: 12, 104: 13, 256: 14, 3: 15, 53: 16, 324: 17, 207: 18, 105: 19, 157: 20, 294: 21, 54: 22, 55: 23, 4: 24, 257: 25, 106: 26, 107: 27, 158: 28, 5: 29, 159: 30, 108: 31, 295: 32, 56: 33, 109: 34, 208: 35, 160: 36, 161: 37, 162: 38, 258: 39, 110: 40, 209: 41, 111: 42, 112: 43, 6: 44, 57: 45, 163: 46, 164: 47, 296: 48, 297: 49, 113: 50, 165: 51, 259: 52, 7: 53, 58: 54, 166: 55, 59: 56, 210: 57, 167: 58, 168: 59, 114: 60, 298: 61, 325: 62, 299: 63, 211: 64, 60: 65, 115: 66, 116: 67, 8: 68, 212: 69, 260: 70, 117: 71, 261: 72, 9: 73, 10: 74, 61: 75, 11: 76, 12: 77, 118: 78, 119: 79, 62: 80, 63: 81, 169: 82, 170: 83, 213: 84, 120: 85, 171: 86, 13: 87, 300: 88, 262: 89, 172: 90, 263: 91, 64: 92, 121: 93, 14: 94, 301: 95, 65: 96, 15: 97, 214: 98, 16: 99, 215: 100, 17: 101, 18: 102, 19: 103, 122: 104, 123: 105, 173: 106, 174: 107, 302: 108, 175: 109, 176: 110, 66: 111, 326: 112, 67: 113, 216: 114, 217: 115, 124: 116, 347: 117, 348: 118, 349: 119, 350: 120, 125: 121, 264: 122, 218: 123, 219: 124, 177: 125, 178: 126, 179: 127, 180: 128, 220: 129, 327: 130, 126: 131, 127: 132, 265: 133, 303: 134, 68: 135, 221: 136, 181: 137, 128: 138, 266: 139, 69: 140, 267: 141, 268: 142, 20: 143, 182: 144, 304: 145, 305: 146, 183: 147, 21: 148, 184: 149, 129: 150, 22: 151, 335: 152, 336: 153, 337: 154, 338: 155, 23: 156, 24: 157, 222: 158, 70: 159, 223: 160, 269: 161, 224: 162, 130: 163, 270: 164, 185: 165, 225: 166, 71: 167, 72: 168, 306: 169, 271: 170, 186: 171, 307: 172, 226: 173, 227: 174, 272: 175, 308: 176, 25: 177, 26: 178, 309: 179, 310: 180, 228: 181, 73: 182, 27: 183, 74: 184, 75: 185, 76: 186, 77: 187, 78: 188, 229: 189, 131: 190, 311: 191, 79: 192, 312: 193, 343: 194, 344: 195, 345: 196, 346: 197, 328: 198, 28: 199, 29: 200, 230: 201, 80: 202, 231: 203, 232: 204, 30: 205, 132: 206, 31: 207, 32: 208, 133: 209, 313: 210, 314: 211, 33: 212, 315: 213, 273: 214, 134: 215, 316: 216, 331: 217, 332: 218, 333: 219, 334: 220, 81: 221, 82: 222, 83: 223, 233: 224, 274: 225, 34: 226, 84: 227, 85: 228, 275: 229, 135: 230, 187: 231, 234: 232, 276: 233, 188: 234, 35: 236, 136: 237, 86: 238, 317: 239, 87: 240, 189: 241, 277: 242, 236: 243, 190: 244, 137: 245, 278: 246, 138: 247, 36: 248, 279: 249, 329: 250, 237: 251, 238: 252, 37: 253, 318: 254, 88: 255, 239: 256, 89: 257, 280: 258, 281: 259, 90: 260, 282: 261, 191: 262, 240: 263, 241: 264, 242: 265, 139: 266, 140: 267, 38: 268, 141: 269, 91: 270, 283: 271, 142: 272, 92: 273, 39: 274, 192: 275, 143: 276, 319: 277, 93: 278, 40: 279, 144: 280, 145: 281, 284: 282, 41: 283, 146: 284, 193: 285, 243: 286, 194: 287, 147: 288, 195: 289, 42: 290, 244: 291, 94: 292, 339: 293, 340: 294, 341: 295, 342: 296, 148: 297, 196: 298, 95: 299, 320: 300, 96: 301, 97: 302, 98: 303, 330: 304, 197: 305, 321: 306, 198: 307, 43: 308, 99: 309, 100: 310, 149: 311, 199: 312, 245: 313, 246: 314, 247: 315, 248: 316, 322: 317, 285: 318, 249: 319, 250: 320, 44: 321, 150: 322, 101: 323, 323: 324, 200: 325, 45: 326, 251: 327, 286: 328, 201: 329, 202: 330, 252: 331, 151: 332, 46: 333, 253: 334, 47: 335, 287: 336, 102: 337, 288: 338, 254: 339, 203: 340, 289: 341, 152: 342, 255: 343, 48: 344, 290: 345, 49: 346, 50: 347, 204: 348, 153: 349, 51: 350},
    "leg": {1: 8, 2: 10, 3: 13, 4: 14, 5: 47, 6: 48, 7: 58, 8: 65, 9: 66, 10: 67, 11: 71, 12: 75, 13: 78, 14: 93, 15: 105, 16: 109, 17: 110, 18: 111, 19: 119, 20: 123, 21: 133, 22: 135, 23: 137, 24: 147, 25: 150, 26: 162, 27: 167, 28: 178, 29: 188, 30: 193, 31: 198, 32: 213, 33: 222, 34: 227, 35: 235, 36: 240, 37: 248, 38: 250, 39: 266, 40: 276, 41: 287, 42: 290, 43: 294, 44: 3, 45: 16, 46: 23, 47: 25, 48: 35, 49: 37, 50: 63, 51: 68, 52: 72, 53: 76, 54: 77, 55: 85, 56: 88, 57: 89, 58: 91, 59: 96, 60: 102, 61: 132, 62: 136, 63: 144, 64: 161, 65: 172, 66: 190, 67: 201, 68: 202, 69: 203, 70: 217, 71: 221, 72: 223, 73: 224, 74: 226, 75: 233, 76: 236, 77: 242, 78: 246, 79: 262, 80: 263, 81: 267, 82: 278, 83: 286, 84: 299, 85: 300, 86: 310, 87: 1, 88: 12, 89: 32, 90: 40, 91: 45, 92: 51, 93: 57, 94: 60, 95: 62, 96: 81, 97: 82, 100: 104, 101: 112, 102: 118, 103: 120, 104: 121, 105: 122, 106: 126, 107: 131, 108: 134, 109: 143, 110: 164, 111: 171, 112: 179, 113: 184, 114: 194, 115: 205, 116: 241, 117: 249, 118: 259, 119: 261, 120: 2, 121: 308, 122: 272, 123: 273, 124: 279, 125: 285, 126: 289, 127: 296, 128: 297, 129: 298, 130: 4, 131: 215, 132: 24, 133: 29, 134: 31, 135: 33, 136: 43, 137: 44, 138: 53, 139: 54, 140: 55, 141: 56, 142: 64, 143: 70, 144: 79, 145: 83, 146: 84, 147: 87, 148: 94, 149: 100, 150: 103, 151: 108, 152: 128, 153: 130, 154: 152, 155: 153, 156: 154, 157: 155, 158: 163, 159: 182, 160: 199, 161: 204, 162: 206, 163: 209, 164: 247, 165: 253, 166: 264, 167: 39, 168: 291, 169: 292, 170: 293, 171: 295, 172: 304, 173: 7, 174: 17, 175: 20, 176: 26, 177: 41, 178: 49, 179: 50, 180: 52, 181: 61, 182: 69, 183: 73, 184: 74, 185: 80, 186: 86, 187: 90, 188: 101, 189: 106, 190: 125, 191: 129, 192: 149, 193: 168, 194: 176, 195: 180, 196: 195, 198: 207, 199: 208, 200: 216, 201: 219, 202: 225, 203: 232, 204: 239, 205: 252, 206: 254, 207: 257, 208: 258, 209: 277, 210: 281, 211: 301, 212: 303, 213: 305, 214: 306, 215: 307, 216: 5, 217: 15, 218: 18, 219: 21, 220: 22, 221: 27, 222: 28, 223: 36, 224: 46, 225: 59, 226: 95, 227: 107, 228: 114, 229: 115, 230: 117, 231: 127, 232: 138, 233: 139, 234: 140, 235: 141, 236: 142, 237: 146, 238: 148, 239: 157, 240: 158, 241: 160, 242: 169, 243: 170, 244: 175, 245: 183, 246: 185, 247: 189, 248: 191, 249: 200, 250: 210, 251: 211, 252: 212, 253: 214, 254: 229, 255: 230, 256: 231, 257: 243, 258: 244, 259: 245, 260: 251, 261: 255, 262: 265, 263: 159, 264: 268, 265: 270, 266: 271, 267: 275, 268: 282, 269: 284, 270: 309, 271: 9, 272: 11, 273: 19, 274: 30, 275: 34, 276: 38, 277: 92, 278: 97, 279: 113, 280: 124, 281: 151, 282: 156, 283: 165, 284: 166, 285: 173, 286: 174, 287: 177, 288: 186, 289: 187, 290: 196, 291: 218, 292: 220, 293: 228, 294: 237, 295: 238, 296: 256, 297: 274, 298: 288, 299: 302, 300: 6, 301: 42, 302: 116, 303: 145, 304: 181, 305: 192, 306: 234, 307: 260, 308: 269, 309: 280, 310: 283},
    "mma": {4: 1, 1: 2, 2: 3, 3: 4, 13: 7, 16: 13, 20: 14, 7: 16, 18: 17, 14: 18, 24: 20, 23: 22, 22: 23, 32: 24, 17: 25, 29: 26, 25: 29, 26: 30, 34: 32, 30: 33, 35: 34, 33: 35, 43: 41, 46: 42, 41: 43, 48: 44, 49: 45, 42: 46, 50: 48, 52: 49, 45: 50, 44: 51, 55: 52, 51: 53, 59: 55, 57: 56, 56: 57, 53: 58, 58: 59, 63: 62, 64: 63, 65: 64, 62: 65, 67: 66, 68: 67, 70: 68, 66: 70, 74: 71, 71: 73, 75: 74, 76: 75, 73: 76, 84: 77, 82: 78, 77: 80, 78: 81, 89: 82, 87: 83, 85: 84, 86: 85, 80: 86, 88: 87, 81: 88, 92: 89, 83: 92, 98: 96, 96: 98, 102: 100, 100: 102, 106: 103, 107: 105, 105: 106, 110: 107, 111: 108, 112: 109, 108: 110, 116: 111, 117: 112, 109: 114, 120: 116, 114: 117, 131: 120, 103: 121, 127: 123, 121: 124, 123: 125, 124: 126, 133: 127, 125: 128, 128: 129, 126: 130, 129: 131, 130: 132, 134: 133, 132: 134, 138: 136, 136: 137, 137: 138, 148: 141, 141: 143, 146: 144, 143: 145, 144: 146, 145: 148, 157: 149, 149: 150, 156: 153, 150: 154, 153: 156, 154: 157, 163: 158, 158: 159, 159: 160, 160: 162, 162: 163, 172: 167, 174: 168, 170: 169, 168: 170, 167: 171, 187: 172, 175: 173, 169: 174, 184: 175, 173: 176, 190: 178, 178: 179, 179: 180, 180: 181, 181: 182, 186: 183, 192: 184, 182: 186, 188: 187, 171: 188, 183: 190, 176: 191, 191: 192, 195: 194, 194: 195, 204: 201, 221: 203, 208: 204, 201: 205, 210: 208, 213: 210, 217: 213, 216: 214, 214: 216, 218: 217, 205: 218, 203: 221},
    "alp": {46: 1, 47: 2, 48: 3, 92: 4, 1: 5, 230: 6, 2: 7, 184: 8, 93: 9, 277: 10, 3: 11, 231: 12, 278: 13, 4: 14, 185: 15, 186: 16, 94: 17, 232: 18, 233: 19, 5: 20, 6: 21, 7: 22, 49: 23, 8: 24, 95: 25, 50: 26, 138: 27, 187: 28, 9: 29, 234: 30, 188: 31, 235: 32, 139: 33, 10: 35, 11: 36, 12: 37, 13: 38, 236: 39, 51: 40, 189: 41, 14: 42, 237: 43, 96: 44, 52: 45, 15: 46, 238: 47, 53: 48, 54: 49, 190: 50, 55: 51, 16: 52, 239: 53, 97: 54, 240: 55, 98: 56, 99: 57, 17: 58, 100: 59, 101: 60, 102: 61, 103: 62, 104: 63, 241: 64, 18: 65, 140: 66, 242: 67, 141: 68, 105: 69, 56: 70, 106: 71, 142: 72, 143: 73, 144: 74, 145: 75, 146: 76, 191: 77, 107: 78, 147: 79, 19: 80, 192: 81, 108: 82, 57: 83, 148: 84, 149: 85, 150: 86, 151: 87, 58: 88, 193: 89, 194: 90, 243: 91, 294: 92, 295: 93, 152: 95, 109: 96, 195: 97, 196: 98, 244: 99, 197: 100, 198: 101, 245: 102, 110: 103, 153: 104, 154: 105, 155: 106, 156: 107, 20: 108, 199: 109, 21: 110, 22: 111, 246: 112, 157: 113, 272: 114, 23: 115, 24: 116, 111: 117, 247: 118, 158: 119, 200: 120, 112: 121, 201: 122, 248: 123, 249: 124, 202: 125, 59: 126, 250: 127, 159: 128, 203: 129, 288: 130, 289: 131, 25: 133, 251: 134, 252: 135, 253: 136, 254: 137, 255: 138, 60: 139, 26: 140, 160: 141, 256: 142, 204: 143, 27: 144, 205: 145, 257: 146, 113: 147, 206: 148, 207: 149, 61: 150, 161: 151, 208: 152, 209: 153, 258: 154, 210: 155, 62: 156, 114: 157, 211: 158, 63: 159, 64: 160, 162: 161, 65: 162, 259: 163, 163: 164, 260: 165, 66: 166, 28: 167, 115: 168, 164: 169, 292: 170, 293: 171, 261: 173, 262: 174, 263: 175, 264: 176, 265: 177, 212: 178, 116: 179, 117: 180, 266: 181, 118: 182, 29: 183, 267: 184, 165: 185, 166: 186, 119: 187, 30: 188, 31: 189, 120: 190, 67: 191, 68: 192, 69: 193, 70: 194, 121: 195, 286: 196, 287: 197, 279: 199, 71: 200, 72: 201, 167: 202, 73: 203, 74: 204, 75: 205, 32: 206, 168: 207, 122: 208, 169: 209, 33: 210, 213: 211, 214: 212, 34: 213, 35: 214, 36: 215, 170: 216, 171: 217, 268: 218, 123: 219, 124: 220, 37: 221, 280: 222, 38: 223, 125: 224, 126: 225, 281: 226, 215: 227, 76: 228, 172: 229, 127: 230, 39: 231, 216: 232, 173: 233, 174: 234, 128: 235, 129: 236, 77: 237, 78: 238, 175: 239, 269: 240, 270: 241, 79: 242, 80: 243, 81: 244, 176: 245, 177: 246, 217: 247, 271: 248, 290: 249, 291: 250, 40: 252, 282: 253, 130: 254, 218: 255, 82: 256, 273: 257, 219: 258, 274: 259, 83: 260, 84: 261, 220: 262, 283: 263, 221: 264, 284: 265, 178: 266, 85: 267, 179: 268, 285: 269, 131: 270, 86: 271, 180: 272, 222: 273, 87: 274, 41: 275, 88: 276, 89: 278, 132: 279, 223: 280, 181: 281, 224: 282, 182: 283, 42: 284, 90: 285, 225: 286, 226: 287, 227: 288, 133: 289, 91: 290, 134: 291, 228: 292, 183: 293, 43: 294, 44: 295, 229: 296, 135: 297, 298: 275, 276: 299, 136: 300, 45: 301, 137: 302, 275: 298},
    "abu": {47: 1, 48: 2, 49: 3, 93: 4, 1: 5, 231: 6, 2: 7, 185: 8, 94: 9, 278: 10, 3: 11, 232: 12, 279: 13, 4: 14, 186: 15, 187: 16, 95: 17, 233: 18, 234: 19, 5: 20, 6: 21, 7: 22, 50: 23, 8: 24, 96: 25, 51: 26, 139: 27, 188: 28, 9: 29, 235: 30, 189: 31, 236: 32, 140: 33, 10: 34, 11: 35, 12: 36, 13: 37, 14: 38, 237: 39, 52: 40, 190: 41, 15: 42, 238: 43, 97: 44, 53: 45, 16: 46, 239: 47, 54: 48, 55: 49, 191: 50, 56: 51, 17: 52, 240: 53, 98: 54, 241: 55, 99: 56, 100: 57, 18: 58, 101: 59, 102: 60, 103: 61, 104: 62, 105: 63, 242: 64, 19: 65, 141: 66, 243: 67, 142: 68, 106: 69, 57: 70, 107: 71, 143: 72, 144: 73, 145: 74, 146: 75, 147: 76, 192: 77, 108: 78, 148: 79, 20: 80, 193: 81, 109: 82, 58: 83, 149: 84, 150: 85, 151: 86, 152: 87, 59: 88, 194: 89, 195: 90, 244: 91, 300: 92, 301: 93, 302: 94, 153: 95, 110: 96, 196: 97, 197: 98, 245: 99, 198: 100, 199: 101, 246: 102, 111: 103, 154: 104, 155: 105, 156: 106, 157: 107, 21: 108, 200: 109, 22: 110, 23: 111, 247: 112, 158: 113, 273: 114, 24: 115, 25: 116, 112: 117, 248: 118, 159: 119, 201: 120, 113: 121, 202: 122, 249: 123, 250: 124, 203: 125, 60: 126, 251: 127, 160: 128, 204: 129, 291: 130, 292: 131, 293: 132, 26: 133, 252: 134, 253: 135, 254: 136, 255: 137, 256: 138, 61: 139, 27: 140, 161: 141, 257: 142, 205: 143, 28: 144, 206: 145, 258: 146, 114: 147, 207: 148, 208: 149, 62: 150, 162: 151, 209: 152, 210: 153, 259: 154, 211: 155, 63: 156, 115: 157, 212: 158, 64: 159, 65: 160, 163: 161, 66: 162, 260: 163, 164: 164, 261: 165, 67: 166, 29: 167, 116: 168, 165: 169, 297: 170, 298: 171, 299: 172, 262: 173, 263: 174, 264: 175, 265: 176, 266: 177, 213: 178, 117: 179, 118: 180, 267: 181, 119: 182, 30: 183, 268: 184, 166: 185, 167: 186, 120: 187, 31: 188, 32: 189, 121: 190, 68: 191, 69: 192, 70: 193, 71: 194, 122: 195, 288: 196, 289: 197, 290: 198, 280: 199, 72: 200, 73: 201, 168: 202, 74: 203, 75: 204, 76: 205, 33: 206, 169: 207, 123: 208, 170: 209, 34: 210, 214: 211, 215: 212, 35: 213, 36: 214, 37: 215, 171: 216, 172: 217, 269: 218, 124: 219, 125: 220, 38: 221, 281: 222, 39: 223, 126: 224, 127: 225, 282: 226, 216: 227, 77: 228, 173: 229, 128: 230, 40: 231, 217: 232, 174: 233, 175: 234, 129: 235, 130: 236, 78: 237, 79: 238, 176: 239, 270: 240, 271: 241, 80: 242, 81: 243, 82: 244, 177: 245, 178: 246, 218: 247, 272: 248, 294: 249, 295: 250, 296: 251, 41: 252, 283: 253, 131: 254, 219: 255, 83: 256, 274: 257, 220: 258, 275: 259, 84: 260, 85: 261, 221: 262, 284: 263, 222: 264, 285: 265, 179: 266, 86: 267, 180: 268, 286: 269, 132: 270, 87: 271, 181: 272, 223: 273, 88: 274, 42: 275, 89: 276, 287: 277, 90: 278, 133: 279, 224: 280, 182: 281, 225: 282, 183: 283, 43: 284, 91: 285, 226: 286, 227: 287, 228: 288, 134: 289, 92: 290, 135: 291, 229: 292, 184: 293, 44: 294, 45: 295, 230: 296, 136: 297, 276: 298, 277: 299, 137: 300, 46: 301, 138: 302},
    "ice": {113: 1, 306: 2, 1: 3, 351: 4, 307: 5, 169: 6, 281: 7, 308: 8, 170: 9, 2: 10, 309: 11, 310: 12, 311: 13, 3: 14, 4: 15, 57: 16, 114: 17, 225: 18, 171: 19, 172: 20, 226: 21, 58: 22, 173: 23, 59: 24, 174: 25, 312: 26, 313: 27, 5: 28, 175: 29, 60: 30, 6: 31, 7: 32, 8: 33, 227: 34, 9: 35, 176: 36, 61: 37, 177: 38, 62: 39, 115: 40, 228: 41, 352: 42, 116: 43, 10: 44, 11: 45, 314: 46, 282: 47, 178: 48, 179: 49, 283: 50, 229: 51, 12: 52, 13: 53, 14: 54, 15: 55, 16: 56, 63: 57, 117: 58, 17: 59, 180: 60, 18: 61, 64: 62, 315: 63, 181: 64, 118: 65, 119: 66, 120: 67, 19: 68, 65: 69, 121: 70, 316: 71, 284: 72, 230: 73, 20: 74, 122: 75, 66: 76, 123: 77, 21: 78, 182: 79, 285: 80, 231: 81, 232: 82, 286: 83, 317: 84, 22: 85, 23: 86, 24: 87, 67: 88, 68: 89, 183: 90, 233: 91, 69: 92, 287: 93, 234: 94, 124: 95, 288: 96, 289: 97, 184: 98, 185: 99, 290: 100, 125: 101, 235: 102, 236: 103, 70: 104, 381: 105, 382: 106, 383: 107, 237: 108, 25: 109, 126: 110, 238: 111, 239: 112, 240: 113, 241: 114, 291: 115, 26: 116, 318: 117, 242: 118, 243: 119, 244: 120, 245: 121, 186: 122, 127: 123, 128: 124, 27: 125, 292: 126, 246: 127, 293: 128, 353: 129, 187: 130, 71: 131, 294: 132, 319: 133, 188: 134, 189: 135, 190: 136, 191: 137, 247: 138, 129: 139, 28: 140, 192: 141, 29: 142, 354: 143, 30: 144, 130: 145, 320: 146, 31: 147, 131: 148, 248: 149, 132: 150, 249: 151, 133: 152, 72: 153, 295: 154, 321: 155, 355: 156, 73: 157, 134: 158, 322: 159, 74: 160, 75: 161, 76: 162, 77: 163, 78: 164, 79: 165, 193: 166, 194: 167, 135: 168, 136: 169, 323: 170, 80: 171, 369: 172, 370: 173, 371: 174, 324: 175, 325: 176, 326: 177, 250: 178, 195: 179, 251: 180, 32: 181, 356: 182, 196: 183, 197: 184, 33: 185, 137: 186, 34: 187, 296: 188, 35: 189, 36: 190, 37: 191, 38: 192, 39: 193, 40: 194, 41: 195, 138: 196, 139: 197, 140: 198, 81: 199, 141: 200, 357: 201, 327: 202, 198: 203, 358: 204, 142: 205, 143: 206, 144: 207, 252: 208, 42: 209, 145: 210, 146: 211, 43: 212, 253: 213, 254: 214, 82: 215, 328: 216, 199: 217, 200: 218, 201: 219, 44: 220, 297: 221, 83: 222, 202: 223, 147: 224, 148: 225, 149: 226, 150: 227, 151: 228, 84: 229, 152: 230, 298: 231, 153: 232, 377: 233, 378: 234, 379: 235, 203: 236, 299: 237, 204: 238, 85: 239, 86: 240, 87: 241, 329: 242, 330: 243, 255: 244, 154: 245, 155: 246, 156: 247, 331: 248, 205: 249, 206: 250, 207: 251, 208: 252, 209: 253, 210: 254, 211: 255, 45: 256, 46: 257, 256: 258, 212: 259, 332: 260, 157: 261, 88: 262, 333: 263, 365: 264, 366: 265, 367: 266, 89: 267, 90: 268, 91: 269, 158: 270, 47: 271, 257: 272, 258: 273, 213: 274, 214: 275, 48: 276, 92: 277, 93: 278, 94: 279, 300: 280, 49: 281, 259: 282, 260: 283, 261: 284, 359: 285, 334: 286, 215: 287, 50: 288, 262: 289, 95: 290, 159: 291, 51: 292, 263: 293, 216: 294, 52: 295, 335: 296, 96: 297, 97: 298, 98: 299, 301: 300, 336: 301, 99: 302, 100: 303, 337: 304, 53: 305, 380: 306, 368: 307, 376: 308, 364: 309, 372: 310, 264: 311, 101: 312, 338: 313, 102: 314, 339: 315, 160: 316, 103: 317, 161: 318, 162: 319, 302: 320, 163: 321, 164: 322, 340: 323, 265: 324, 165: 325, 217: 326, 218: 327, 219: 328, 303: 329, 304: 330, 166: 331, 266: 332, 360: 333, 341: 334, 373: 335, 374: 336, 375: 337, 54: 338, 267: 339, 268: 340, 269: 341, 104: 342, 361: 343, 342: 344, 270: 345, 220: 346, 221: 347, 167: 348, 271: 349, 272: 350, 362: 351, 105: 352, 343: 353, 363: 354, 273: 355, 222: 356, 344: 357, 345: 358, 346: 359, 223: 360, 274: 361, 347: 362, 348: 363, 55: 364, 349: 365, 56: 366, 275: 367, 276: 368, 277: 369, 106: 370, 305: 371, 107: 372, 168: 373, 278: 374, 279: 375, 224: 376, 108: 377, 109: 378, 280: 379, 110: 380, 111: 381, 350: 382, 112: 383},
    "xln": {13: 7, 19: 11, 7: 13, 24: 14, 11: 19, 27: 21, 14: 24, 33: 25, 34: 26, 21: 27, 42: 31, 25: 33, 26: 34, 31: 42, 44: 43, 43: 44, 54: 50, 50: 54, 58: 57, 57: 58, 66: 59, 59: 61, 61: 66, 74: 302, 71: 74, 82: 78, 78: 82, 93: 92, 94: 93, 92: 94, 99: 97, 104: 98, 98: 99, 97: 100, 106: 101, 107: 102, 101: 104, 100: 106, 102: 107, 117: 113, 118: 115, 113: 117, 115: 118, 122: 121, 121: 122, 129: 125, 125: 129, 141: 136, 136: 141, 154: 153, 153: 154, 166: 161, 167: 165, 161: 166, 165: 167, 172: 170, 170: 172, 182: 179, 179: 181, 181: 182, 184: 183, 185: 184, 183: 185, 192: 189, 189: 190, 193: 191, 190: 192, 191: 301, 200: 199, 199: 200, 206: 204, 204: 206, 213: 209, 215: 212, 209: 213, 212: 215, 221: 217, 217: 221, 225: 222, 226: 223, 222: 225, 223: 226, 229: 227, 232: 229, 235: 304, 227: 232, 230: 235, 255: 254, 254: 255, 290: 280, 293: 281, 294: 282, 297: 283, 250: 284, 298: 285, 299: 286, 286: 287, 287: 288, 288: 289, 289: 290, 280: 291, 281: 292, 282: 293, 283: 294, 284: 295, 285: 296, 243: 297, 234: 298, 249: 299, 90: 300, 22: 303, 296: 305, 295: 306, 292: 307, 291: 308, 173: 309, 300: 310},
    "rtr": {12: 11, 11: 12, 69: 68, 68: 69, 74: 73, 73: 74, 98: 90, 90: 98, 101: 99, 99: 101, 104: 103, 103: 104, 150: 105, 105: 106, 183: 120, 127: 126, 126: 127, 106: 150, 203: 158, 205: 163, 207: 172, 215: 174, 217: 176, 185: 183, 120: 185, 158: 203, 163: 205, 172: 207, 174: 215, 176: 217, 233: 231, 235: 233, 231: 235, 237: 236, 236: 237, 255: 251, 262: 252, 265: 253, 270: 254, 251: 255, 252: 256, 253: 257, 254: 258, 256: 259, 257: 260, 258: 261, 259: 262, 260: 265, 261: 266, 266: 270},
    "eld": {141: 140, 140: 141, 147: 146, 146: 147, 189: 187, 187: 189},
    "avr": {22: 9, 37: 11, 31: 14, 17: 15, 15: 17, 27: 18, 18: 22, 26: 23, 23: 25, 32: 26, 30: 27, 9: 28, 28: 30, 33: 31, 34: 32, 14: 33, 25: 34, 40: 36, 11: 37, 39: 38, 38: 39, 36: 40, 45: 42, 54: 43, 42: 45, 49: 46, 52: 47, 47: 48, 46: 49, 82: 50, 67: 51, 51: 52, 43: 54, 76: 56, 56: 58, 58: 59, 59: 60, 60: 62, 65: 63, 63: 65, 48: 67, 72: 71, 71: 72, 62: 75, 75: 76, 96: 82, 86: 85, 85: 86, 99: 87, 89: 88, 91: 89, 87: 90, 88: 91, 125: 93, 115: 94, 50: 96, 94: 98, 123: 99, 90: 100, 98: 103, 114: 108, 108: 114, 119: 115, 103: 116, 120: 117, 116: 119, 117: 120, 100: 123, 93: 124, 124: 125, 127: 126, 126: 127, 165: 131, 138: 135, 150: 136, 136: 137, 135: 138, 140: 139, 160: 140, 145: 142, 163: 143, 147: 144, 137: 145, 142: 147, 143: 149, 149: 150, 153: 152, 131: 153, 144: 154, 152: 155, 155: 156, 139: 160, 154: 162, 156: 163, 162: 165, 170: 168, 196: 169, 169: 170, 184: 174, 179: 178, 201: 179, 174: 180, 180: 181, 181: 184, 168: 186, 192: 188, 190: 189, 200: 190, 197: 192, 186: 195, 195: 196, 188: 197, 210: 200, 178: 201, 204: 202, 202: 204, 189: 210, 225: 213, 219: 214, 221: 215, 222: 219, 223: 220, 215: 221, 214: 222, 220: 223, 213: 225},
    "cmd": {207: 1, 118: 2, 7: 3, 213: 4, 216: 5, 204: 6, 230: 7, 215: 8, 235: 9, 196: 11, 227: 12, 234: 13, 261: 14, 184: 15, 253: 16, 98: 17, 4: 18, 65: 19, 229: 20, 210: 21, 178: 22, 181: 23, 147: 24, 33: 32, 32: 33, 52: 46, 56: 51, 46: 52, 51: 56, 63: 62, 62: 63, 19: 65, 97: 91, 99: 92, 16: 93, 91: 97, 93: 98, 92: 99, 103: 101, 101: 103, 107: 105, 105: 107, 115: 114, 114: 115, 2: 118, 141: 128, 135: 129, 129: 135, 128: 138, 138: 141, 24: 147, 171: 170, 170: 171, 22: 178, 23: 181, 15: 184, 11: 196, 205: 204, 6: 205, 1: 207, 21: 210, 18: 213, 219: 215, 8: 216, 220: 219, 5: 220, 12: 225, 225: 227, 20: 229, 232: 230, 3: 232, 13: 234, 236: 235, 9: 236, 240: 238, 238: 240, 247: 244, 244: 247, 17: 253, 14: 261},
    "cmm": {395: 295, 318: 316, 316: 318, 295: 395, 610: 563, 563: 610},
    "13m": {3: 2, 2: 3, 15: 13, 13: 14, 14: 15, 21: 20, 20: 21, 29: 27, 27: 29, 31: 30, 35: 31, 30: 32, 32: 35, 43: 42, 42: 43, 53: 51, 51: 52, 55: 53, 52: 54, 57: 55, 54: 57, 61: 59, 59: 61, 68: 67, 69: 68, 67: 69, 73: 72, 72: 73, 77: 74, 74: 75, 78: 76, 75: 77, 76: 78, 87: 82, 89: 84, 88: 85, 82: 87, 85: 88, 84: 89, 94: 93, 95: 94, 93: 95, 98: 97, 97: 98, 117: 115, 115: 117, 126: 125, 125: 126, 134: 133, 139: 134, 133: 135, 146: 136, 147: 137, 135: 139, 149: 141, 136: 144, 144: 145, 145: 146, 137: 147, 141: 149, 151: 150, 150: 151, 156: 154, 157: 155, 154: 156, 155: 157, 160: 159, 159: 160, 194: 161, 161: 162, 166: 165, 168: 166, 165: 168, 172: 171, 171: 172, 174: 173, 175: 174, 173: 175, 191: 187, 190: 188, 187: 189, 193: 190, 162: 191, 188: 193, 189: 194, 198: 196, 196: 198, 213: 204, 208: 207, 207: 208, 216: 211, 204: 213, 217: 214, 214: 216, 211: 217},
    "psa": {164: 12, 12: 13, 13: 14, 14: 15, 15: 16, 16: 17, 17: 18, 18: 19, 19: 20, 20: 21, 21: 22, 22: 23, 23: 24, 24: 25, 25: 26, 26: 27, 27: 28, 28: 29, 165: 30, 29: 31, 30: 32, 31: 33, 32: 34, 33: 35, 34: 36, 35: 37, 36: 38, 37: 39, 38: 40, 39: 41, 40: 42, 41: 43, 42: 44, 43: 45, 44: 46, 45: 47, 46: 48, 47: 49, 48: 50, 49: 51, 50: 52, 51: 53, 52: 54, 53: 55, 54: 56, 55: 57, 56: 58, 57: 59, 58: 60, 59: 61, 60: 62, 61: 63, 62: 64, 63: 65, 64: 66, 65: 67, 66: 68, 67: 69, 68: 70, 69: 71, 70: 72, 71: 73, 72: 74, 73: 75, 74: 76, 75: 77, 76: 78, 77: 79, 78: 80, 79: 81, 80: 82, 81: 83, 82: 84, 83: 85, 84: 86, 85: 87, 86: 88, 87: 89, 88: 90, 89: 91, 90: 92, 91: 93, 92: 94, 93: 95, 94: 96, 95: 97, 96: 98, 97: 99, 98: 100, 99: 101, 100: 102, 101: 103, 102: 104, 103: 105, 104: 106, 105: 107, 106: 108, 107: 109, 108: 110, 109: 111, 110: 112, 111: 113, 112: 114, 113: 115, 114: 116, 115: 117, 116: 118, 117: 119, 118: 120, 119: 121, 120: 122, 121: 123, 122: 124, 123: 125, 124: 126, 125: 127, 126: 128, 127: 129, 128: 130, 129: 131, 130: 132, 131: 133, 132: 134, 133: 135, 134: 136, 135: 137, 136: 138, 137: 139, 138: 140, 139: 141, 140: 142, 141: 143, 142: 144, 143: 145, 144: 146, 145: 147, 146: 148, 147: 149, 148: 150, 149: 151, 150: 152, 151: 153, 152: 154, 153: 155, 154: 156, 155: 157, 156: 158, 157: 159, 158: 160, 159: 161, 160: 162, 161: 163, 162: 164, 163: 165},
    "por": {1:1, 2:2, 3:3, 4:4, 5:5, 6:6, 7:7, 8:8, 9:9, 10:10, 11:11, 12:12, 13:13, 14:14, 15:15, 16:16, 17:17, 18:18, 19:19, 20:20, 21:21, 22:22, 23:23, 24:24, 25:25, 26:26, 27:27, 28:28, 29:29, 30:30, 31:31, 32:32, 33:33, 34:34, 35:35, 36:36, 37:37, 38:38, 39:40, 40:41, 41:42, 42:43, 43:44, 44:45, 45:46, 46:47, 47:48, 48:49, 49:50, 50:51, 51:52, 52:54, 53:53, 54:55, 55:56, 56:57, 57:58, 58:59, 59:60, 60:61, 61:62, 62:63, 63:64, 64:65, 65:66, 66:67, 67:68, 68:69, 69:70, 70:71, 71:72, 72:73, 73:74, 74:75, 75:76, 76:77, 77:78, 78:79, 79:80, 80:81, 81:82, 82:83, 83:84, 84:85, 85:86, 86:87, 87:88, 88:89, 89:90, 90:91, 91:92, 92:93, 93:94, 94:95, 95:96, 96:97, 97:99, 98:100, 99:101, 100:102, 101:103, 102:104, 103:105, 104:106, 105:107, 106:108, 107:109, 108:110, 109:111, 110:112, 111:113, 112:114, 113:115, 114:116, 115:117, 116:118, 117:119, 118:120, 119:122, 120:123, 121:124, 122:125, 123:126, 124:127, 125:128, 126:129, 127:130, 128:131, 129:132, 130:133, 131:134, 132:135, 133:136, 134:137, 135:138, 136:139, 137:140, 138:141, 139:142, 140:143, 141:144, 142:145, 143:146, 144:147, 145:148, 146:150, 147:151, 148:152, 149:153, 150:154, 151:155, 152:156, 153:157, 154:158, 155:159, 156:160, 157:161, 158:162, 159:164, 160:165, 161:166, 162:167, 163:168, 164:170, 165:171, 166:172, 167:174, 168:175, 169:176, 170:177, 171:178, 172:179, 173:180, 174:181, 175:182, 176:183, 177:184, 178:185, 179:186, 180:187, 181:188, 182:189, 183:190, 184:191, 185:192, 186:193, 187:194, 188:195, 189:196, 190:197, 191:198, 192:199, 193:200, 194:201, 195:202},
}
# fmt: on

override_pic: dict[str, str] = {
    "pics/art/isd/105_1.jpg": "pics/art/isd/105.jpg",
    "pics/art/c19/005_1.jpg": "pics/art/c19/005.jpg",
    "pics/art/isd/078_1.jpg": "pics/art/isd/078_2.jpg",
    "pics/art/war/061.jpg": "pics/art/war/061_1.jpg",
    "pics/art/war/002.jpg": "pics/art/war/002_1.jpg",
    "pics/art/alp/002.jpg": "pics/art/alp/002_1.jpg",
    "pics/art/leg/172_1.jpg": "pics/art/leg/172.jpg",
    "pics/art/zen/119.jpg": "pics/art/zen/119_1.jpg",
    "pics/art/war/171.jpg": "pics/art/war/171_1.jpg",
    "pics/art/war/169.jpg": "pics/art/war/169_1.jpg",
    "pics/art/woe/252_1.jpg": "pics/art/woe/252.jpg",
    "pics/art/war/221.jpg": "pics/art/war/221_1.jpg",
    "pics/art/war/234.jpg": "pics/art/war/234_1.jpg",
    "pics/art/war/220.jpg": "pics/art/war/220_1.jpg",
    "pics/art/mh2/075_1.jpg": "pics/art/mh2/075.jpg",
    "pics/art/con/121_3.jpg": "pics/art/con/121_4.jpg",
    "pics/art/dis/099_1.jpg": "pics/art/dis/099_2.jpg",
    "pics/art/drs/148_1.jpg": "pics/art/drs/148_2.jpg",
    "pics/art/mbs/099_1.jpg": "pics/art/mbs/099_2.jpg",
    "pics/art/mid/707_1.jpg": "pics/art/mid/007.jpg",
    "pics/art/nph/004.jpg": "pics/art/nph/004_1.jpg",
    "pics/art/ivg/021.jpg": "pics/art/ivg/021_2.jpg",
    "pics/art/tsp/262_1.jpg": "pics/art/tsp/262_2.jpg",
    "pics/art/zen/211_3.jpg": "pics/art/zen/211_2.jpg",
    "pics/art/zen/219_1.jpg": "pics/art/zen/219.jpg",
    "pics/art/zen/220_1.jpg": "pics/art/zen/220.jpg",
    "pics/art/zen/223_1.jpg": "pics/art/zen/223.jpg",
    "pics/art/zen/229_2.jpg": "pics/art/zen/229.jpg",
    "pics/art/znr/503.jpg": "pics/art/znr/260.jpg",
    "pics/art/znr/260.jpg": "pics/art/znr/503.jpg",
    "pics/art/znr/264.jpg": "pics/art/znr/506.jpg",
    "pics/art/znr/506.jpg": "pics/art/znr/264.jpg",
    "pics/art/nph/042_1.jpg": "pics/art/nph/042.jpg",
    "pics/art/isd/282.jpg": "pics/art/isd/051.jpg",
    "pics/art/isd/051.jpg": "pics/art/isd/282.jpg",
    "pics/art/apo/128.jpg": "pics/art/apo/129.jpg",
    "pics/art/apo/129.jpg": "pics/art/apo/128.jpg",
    "pics/art/dom/001_1.jpg": "pics/art/dom/001_2.jpg",
    "pics/art/alp/049_1.jpg": "pics/art/alp/049_2.jpg",
    "pics/art/mh3/4004.jpg": "pics/art/mh3/242.jpg",
    "pics/art/mh3/242.jpg": "pics/art/mh3/4004.jpg",
}
